'use strict';

function init() {
  var lang;

  function language() {
    return language;
  }

  language.languages = [
    { code: 'bg', language: 'Български' }
    , { code: 'cs', language: 'Čeština' }
    , { code: 'dk', language: 'Dansk' }
    , { code: 'de', language: 'Deutsch' }
    , { code: 'en', language: 'English' }
    , { code: 'es', language: 'Español' }
    , { code: 'fr', language: 'Français' }
    , { code: 'he', language: 'עברית' }
    , { code: 'hr', language: 'Hrvatski' }
    , { code: 'it', language: 'Italiano' }
    , { code: 'nb', language: 'Norsk (Bokmål)' }
    , { code: 'pt', language: 'Português (Brasil)' }
    , { code: 'ro', language: 'Română' }
    , { code: 'sv', language: 'Svenska' }
    , { code: 'fi', language: 'Suomi' }
  ];

  var translations = {
    // Server
    'Listening on port' : {
      cs: 'Poslouchám na portu'
      ,es: 'Escuchando en el puerto'
      ,fr: 'Ecoute sur port'
      ,pt: 'Escutando porta'
      ,sv: 'Lyssnar på port'
      ,ro: 'Activ pe portul'
      ,bg: 'Активиране на порта'
      ,hr: 'Slušanje na portu'
      ,it: 'Porta in ascolto'
      ,dk: 'Lytter på port'
      ,fi: 'Kuuntelen porttia'
      ,nb: 'Lytter på port'
      ,he: 'מקשיב על פתחה'
      }
    // Client
    ,'Mo' : {
      cs: 'Po'
      ,de: 'Mo'
      ,es: 'Lu'
      ,fr: 'Lu'
      ,pt: 'Seg'
      ,sv: 'Mån'
      ,ro: 'Lu'
      ,bg: 'Пон'
      ,hr: 'Pon'
      ,it: 'Lun'
      ,dk: 'Man'
      ,fi: 'Ma'
      ,nb: 'Man'
      ,he: 'ב'
      }
    ,'Tu' : {
      cs: 'Út'
      ,de: 'Di'
      ,es: 'Mar'
      ,fr: 'Ma'
      ,pt: 'Ter'
      ,sv: 'Tis'
      ,ro: 'Ma'
      ,bg: 'Вт'
      ,hr: 'Ut'
      ,it: 'Mar'
      ,dk: 'Tir'
      ,fi: 'Ti'
      ,nb: 'Tir'
      ,he: 'ג'
      }
    ,'We' : {
      cs: 'St'
      ,de: 'Mi'
      ,es: 'Mie'
      ,fr: 'Me'
      ,pt: 'Qua'
      ,sv: 'Ons'
      ,ro: 'Mie'
      ,bg: 'Ср'
      ,hr: 'Sri'
      ,it: 'Mer'
      ,dk: 'Ons'
      ,fi: 'Ke'
      ,nb: 'Ons'
      ,he: 'ד'
      }
    ,'Th' : {
      cs: 'Čt'
      ,de: 'Do'
      ,es: 'Jue'
      ,fr: 'Je'
      ,pt: 'Qui'
      ,sv: 'Tor'
      ,ro: 'Jo'
      ,bg: 'Четв'
      ,hr: 'Čet'
      ,it: 'Gio'
      ,dk: 'Tor'
      ,fi: 'To'
      ,nb: 'Tor'
      ,he: 'ה'
      }
    ,'Fr' : {
      cs: 'Pá'
      ,de: 'Fr'
      ,es: 'Vie'
      ,fr: 'Ve'
      ,pt: 'Sex'
      ,sv: 'Fre'
      ,ro: 'Vi'
      ,bg: 'Пет'
      ,hr: 'Pet'
      ,it: 'Ven'
      ,dk: 'Fre'
      ,fi: 'Pe'
      ,nb: 'Fre'
      ,he: 'ו'
      }
    ,'Sa' : {
      cs: 'So'
      ,de: 'Sa'
      ,es: 'Sab'
      ,fr: 'Sa'
      ,pt: 'Sab'
      ,sv: 'Lör'
      ,ro: 'Sa'
      ,bg: 'Съб'
      ,hr: 'Sub'
      ,it: 'Sab'
      ,dk: 'Lør'
      ,fi: 'La'
      ,nb: 'Lør'
      ,he: 'ש'
      }
    ,'Su' : {
      cs: 'Ne'
      ,de: 'So'
      ,es: 'Dom'
      ,fr: 'Di'
      ,pt: 'Dom'
      ,sv: 'Sön'
      ,ro: 'Du'
      ,bg: 'Нед'
      ,hr: 'Ned'
      ,it: 'Dom'
      ,dk: 'Søn'
      ,fi: 'Su'
      ,nb: 'Søn'
      ,he: 'א'
      }
    ,'Monday' : {
      cs: 'Pondělí'
      ,de: 'Montag'
      ,es: 'Lunes'
      ,fr: 'Lundi'
      ,pt: 'Segunda'
      ,sv: 'Måndag'
      ,ro: 'Luni'
      ,bg: 'Понеделник'
      ,hr: 'Ponedjeljak'
      ,it: 'Lunedì'
      ,dk: 'Mandag'
      ,fi: 'Maanantai'
      ,nb: 'Mandag'
      ,he: 'שני'
      }
    ,'Tuesday' : {
      cs: 'Úterý'
      ,de: 'Dienstag'
      ,es: 'Martes'
      ,fr: 'Mardi'
      ,pt: 'Terça'
      ,ro: 'Marți'
      ,bg: 'Вторник'
      ,hr: 'Utorak'
      ,sv: 'Tisdag'
      ,it: 'Martedì'
      ,dk: 'Tirsdag'
      ,fi: 'Tiistai'
      ,nb: 'Tirsdag'
      ,he: 'שלישי'
      }
    ,'Wednesday' : {
      cs: 'Středa'
      ,de: 'Mittwoch'
      ,es: 'Miércoles'
      ,fr: 'Mercredi'
      ,pt: 'Quarta'
      ,sv: 'Onsdag'
      ,ro: 'Miercuri'
      ,bg: 'Сряда'
      ,hr: 'Srijeda'
      ,it: 'Mercoledì'
      ,dk: 'Onsdag'
      ,fi: 'Keskiviikko'
      ,nb: 'Onsdag'
      ,he: 'רביעי'
      }
    ,'Thursday' : {
      cs: 'Čtvrtek'
      ,de: 'Donnerstag'
      ,es: 'Jueves'
      ,fr: 'Jeudi'
      ,pt: 'Quinta'
      ,sv: 'Torsdag'
      ,ro: 'Joi'
      ,bg: 'Четвъртък'
      ,hr: 'Četvrtak'
      ,it: 'Giovedì'
      ,dk: 'Torsdag'
      ,fi: 'Torstai'
      ,nb: 'Torsdag'
      ,he: 'חמישי'
      }
    ,'Friday' : {
      cs: 'Pátek'
      ,de: 'Freitag'
      ,fr: 'Vendredi'
      ,pt: 'Sexta'
      ,sv: 'Fredag'
      ,ro: 'Vineri'
      ,es: 'Viernes'
      ,bg: 'Петък'
      ,hr: 'Petak'
      ,it: 'Venerdì'
      ,dk: 'Fredag'
      ,fi: 'Perjantai'
      ,nb: 'Fredag'
      ,he: 'שישי'
      }
    ,'Saturday' : {
      cs: 'Sobota'
      ,de: 'Samstag'
      ,es: 'Sábado'
      ,fr: 'Samedi'
      ,pt: 'Sábado'
      ,ro: 'Sâmbătă'
      ,bg: 'Събота'
      ,hr: 'Subota'
      ,sv: 'Lördag'
      ,it: 'Sabato'
      ,dk: 'Lørdag'
      ,fi: 'Lauantai'
      ,nb: 'Lørdag'
      ,he: 'שבת'
      }
    ,'Sunday' : {
      cs: 'Neděle'
      ,de: 'Sonntag'
      ,es: 'Domingo'
      ,fr: 'Dimanche'
      ,pt: 'Domingo'
      ,ro: 'Duminică'
      ,bg: 'Неделя'
      ,hr: 'Nedjelja'
      ,sv: 'Söndag'
      ,it: 'Domenica'
      ,dk: 'Søndag'
      ,fi: 'Sunnuntai'
      ,nb: 'Søndag'
      ,he: 'ראשון'
      }
    ,'Category' : {
      cs: 'Kategorie'
      ,de: 'Kategorie'
      ,es: 'Categoría'
      ,fr: 'Catégorie'
      ,pt: 'Categoria'
      ,sv: 'Kategori'
      ,ro: 'Categorie'
      ,bg: 'Категория'
      ,hr: 'Kategorija'
      ,it:'Categoria'
      ,dk: 'Kategori'
      ,fi: 'Luokka'
      ,nb: 'Kategori'
      ,he: 'קטגוריה'
      }
    ,'Subcategory' : {
      cs: 'Podkategorie'
      ,de: 'Unterkategorie'
      ,es: 'Subcategoría'
      ,fr: 'Sous-catégorie'
      ,pt: 'Subcategoria'
      ,sv: 'Underkategori'
      ,ro: 'Subcategorie'
      ,bg: 'Подкатегория'
      ,hr: 'Podkategorija'
      ,it: 'Sottocategoria'
      ,dk: 'Underkategori'
      ,fi: 'Alaluokka'
      ,nb: 'Underkategori'
      ,he: 'תת-קטגוריה'
      }
    ,'Name' : {
      cs: 'Jméno'
      ,de: 'Name'
      ,es: 'Nombre'
      ,fr: 'Nom'
      ,pt: 'Nome'
      ,sv: 'Namn'
      ,ro: 'Nume'
      ,bg: 'Име'
      ,hr: 'Ime'
      ,it: 'Nome'
      ,dk: 'Navn'
      ,fi: 'Nimi'
      ,nb: 'Navn'
      ,he: 'שם'
      }
    ,'Today' : {
      cs: 'Dnes'
      ,de: 'Heute'
      ,es: 'Hoy'
      ,fr: 'Aujourd\'hui'
      ,pt: 'Hoje'
      ,ro: 'Astăzi'
      ,bg: 'Днес'
      ,hr: 'Danas'
      ,sv: 'Idag'
      ,it: 'Oggi'
      ,dk: 'Idag'
      ,fi: 'Tänään'
      ,nb: 'Idag'
      ,he: 'היום'
      }
    ,'Last 2 days' : {
      cs: 'Poslední 2 dny'
      ,de: 'letzten 2 Tage'
      ,es: 'Últimos 2 días'
      ,fr: '2 derniers jours'
      ,pt: 'Últimos 2 dias'
      ,ro: 'Ultimele 2 zile'
      ,bg: 'Последните 2 дни'
      ,hr: 'Posljednja 2 dana'
      ,sv: 'Senaste 2 dagarna'
      ,it: 'Ultimi 2 giorni'
      ,dk: 'Sidste 2 dage'
      ,fi: 'Edelliset 2 päivää'
      ,nb: 'Siste 2 dager'
      ,he: 'יומיים אחרונים'
      }
    ,'Last 3 days' : {
      cs: 'Poslední 3 dny'
      ,de: 'letzten 3 Tage'
      ,es: 'Últimos 3 días'
      ,fr: '3 derniers jours'
      ,pt: 'Últimos 3 dias'
      ,sv: 'Senaste 3 dagarna'
      ,ro: 'Ultimele 3 zile'
      ,bg: 'Последните 3 дни'
      ,hr: 'Posljednja 3 dana'
      ,it: 'Ultimi 3 giorni'
      ,dk: 'Sidste 3 dage'
      ,fi: 'Edelliset 3 päivää'
      ,nb: 'Siste 3 dager'
      ,he: '3 ימים אחרונים'
      }
    ,'Last week' : {
      cs: 'Poslední týden'
      ,de: 'letzte Woche'
      ,es: 'Semana pasada'
      ,fr: 'Semaine Dernière'
      ,pt: 'Semana passada'
      ,ro: 'Săptămâna trecută'
      ,bg: 'Последната седмица'
      ,hr: 'Protekli tjedan'
      ,sv: 'Senaste veckan'
      ,it: 'Settimana scorsa'
      ,dk: 'Sidste uge'
      ,fi: 'Viime viikko'
      ,nb: 'Siste uke'
      ,he: 'שבוע אחרון'
      }
    ,'Last 2 weeks' : {
      cs: 'Poslední 2 týdny'
      ,de: 'letzten 2 Wochen'
      ,es: 'Últimas 2 semanas'
      ,fr: '2 dernières semaines'
      ,pt: 'Últimas 2 semanas'
      ,ro: 'Ultimele 2 săptămâni'
      ,bg: 'Последните 2 седмици'
      ,hr: 'Protekla 2 tjedna'
      ,sv: 'Senaste 2 veckorna'
      ,it: 'Ultime 2 settimane'
      ,dk: 'Sidste 2 uger'
      ,fi: 'Viimeiset 2 viikkoa'
      ,nb: 'Siste 2 uker'
      ,he: 'שבועיים אחרונים'
      }
    ,'Last month' : {
      cs: 'Poslední měsíc'
      ,de: 'letzter Monat'
      ,es: 'Mes pasado'
      ,fr: 'Mois dernier'
      ,pt: 'Mês passado'
      ,ro: 'Ultima lună'
      ,bg: 'Последният месец'
      ,hr: 'Protekli mjesec'
      ,sv: 'Senaste månaden'
      ,it: 'Mese scorso'
      ,dk: 'Sidste måned'
      ,fi: 'Viime kuu'
      ,nb: 'Siste måned'
      ,he: 'חודש אחרון'
      }
    ,'Last 3 months' : {
      cs: 'Poslední 3 měsíce'
      ,de: 'letzten 3 Monate'
      ,es: 'Últimos 3 meses'
      ,fr: '3 derniers mois'
      ,pt: 'Últimos 3 meses'
      ,ro: 'Ultimele 3 luni'
      ,bg: 'Последните 3 месеца'
      ,hr: 'Protekla 3 mjeseca'
      ,sv: 'Senaste 3 månaderna'
      ,it: 'Ultimi 3 mesi'
      ,dk: 'Sidste 3 måneder'
      ,fi: 'Viimeiset 3 kuukautta'
      ,nb: 'Siste 3 måneder'
      ,he: '3 חודשים אחרונים'
      }
    ,'From' : {
      cs: 'Od'
      ,de: 'Von'
      ,es: 'Desde'
      ,fr: 'De'
      ,pt: 'De'
      ,sv: 'Från'
      ,ro: 'De la'
      ,bg: 'От'
      ,hr: 'Od'
      ,it: 'Da'
      ,dk: 'Fra'
      ,fi: 'Alkaen'
      ,nb: 'Fra'
      ,he: 'מ'
      }
    ,'To' : {
      cs: 'Do'
      ,de: 'Bis'
      ,es: 'Hasta'
      ,fr: 'À'
      ,pt: 'a'
      ,ro: 'La'
      ,bg: 'До'
      ,hr: 'Do'
      ,sv: 'Till'
      ,it: 'A'
      ,dk: 'Til'
      ,fi: 'Asti'
      ,nb: 'Til'
      ,he: 'עד'
      }
    ,'Notes' : {
      cs: 'Poznámky'
      ,de: 'Notiz'
      ,es: 'Notas'
      ,fr: 'Notes'
      ,pt: 'Notas'
      ,sv: 'Notering'
      ,ro: 'Note'
      ,bg: 'Бележки'
      ,hr: 'Bilješke'
      ,it: 'Note'
      ,dk: 'Noter'
      ,fi: 'Merkinnät'
      ,nb: 'Notater'
      ,he: 'הערות'
      }
    ,'Food' : {
      cs: 'Jídlo'
      ,de: 'Essen'
      ,es: 'Comida'
      ,fr: 'Nourriture'
      ,pt: 'Comida'
      ,sv: 'Föda'
      ,ro: 'Mâncare'
      ,bg: 'Храна'
      ,hr: 'Hrana'
      ,it: 'Cibo'
      ,dk: 'Mad'
      ,fi: 'Ruoka'
      ,nb: 'Mat'
      ,he: 'אוכל'
      }
    ,'Insulin' : {
      cs: 'Inzulín'
      ,de: 'Insulin'
      ,es: 'Insulina'
      ,fr: 'Insuline'
      ,pt: 'Insulina'
      ,ro: 'Insulină'
      ,bg: 'Инсулин'
      ,hr: 'Inzulin'
      ,sv: 'Insulin'
      ,it: 'Insulina'
      ,dk: 'Insulin'
      ,fi: 'Insuliini'
      ,nb: 'Insulin'
      ,he: 'אינסולין'
      }
    ,'Carbs' : {
      cs: 'Sacharidy'
      ,de: 'Kohlenhydrate'
      ,es: 'Hidratos de carbono'
      ,fr: 'Glucides'
      ,pt: 'Carboidrato'
      ,ro: 'Carbohidrați'
      ,bg: 'Въглехидрати'
      ,hr: 'Ugljikohidrati'
      ,sv: 'Kolhydrater'
      ,it: 'Carboidrati'
      ,dk: 'Kulhydrater'
      ,fi: 'Hiilihydraatit'
      ,nb: 'Karbohydrater'
      ,he: 'פחמימות'
      }
    ,'Notes contain' : {
      cs: 'Poznámky obsahují'
      ,de: 'Erläuterungen'
      ,es: 'Contenido de las notas'
      ,fr: 'Notes contiennent'
      ,pt: 'Notas contém'
      ,ro: 'Conținut note'
      ,bg: 'бележките съдържат'
      ,hr: 'Sadržaj bilješki'
      ,sv: 'Notering innehåller'
      ,it: 'Contiene note'
      ,dk: 'Noter indeholder'
      ,fi: 'Merkinnät sisältävät'
      ,nb: 'Notater inneholder'
      }
    ,'Target bg range bottom' : {
      cs: 'Cílová glykémie spodní'
      ,de: 'Untergrenze des Blutzuckerzielbereiches'
      ,es: 'Objetivo inferior de glucemia'
      ,fr: 'Limite inférieure glycémie'
      ,pt: 'Limite inferior de glicemia'
      ,ro: 'Limită de jos a glicemiei'
      ,bg: 'Долна граница на КЗ'
      ,hr: 'Ciljna donja granica GUK-a'
      ,sv: 'Gräns för nedre blodsockervärde'
      ,it: 'Limite inferiore della glicemia'
      ,dk: 'Nedre grænse for blodsukkerværdier'
      ,fi: 'Tavoitealueen alaraja'
      ,nb: 'Nedre grense for blodsukkerverdier'
      ,he: 'טווח מטרה סף תחתון'
      }
    ,'top' : {
      cs: 'horní'
      ,de: 'oben'
      ,es: 'Superior'
      ,fr: 'Supérieur'
      ,pt: 'Superior'
      ,ro: 'Sus'
      ,bg: 'горна'
      ,hr: 'Gornja'
      ,sv: 'Toppen'
      ,it: 'Superiore'
      ,dk: 'Top'
      ,fi: 'yläraja'
      ,nb: 'Topp'
      ,he: 'למעלה'
      }
    ,'Show' : {
      cs: 'Zobraz'
      ,de: 'Zeigen'
      ,es: 'Mostrar'
      ,fr: 'Montrer'
      ,pt: 'Mostrar'
      ,ro: 'Arată'
      ,sv: 'Visa'
      ,bg: 'Покажи'
      ,hr: 'Prikaži'
      ,it: 'Mostra'
      ,dk: 'Vis'
      ,fi: 'Näytä'
      ,nb: 'Vis'
      ,he: 'הצג'
      }
    ,'Display' : {
      cs: 'Zobraz'
      ,de: 'Darstellen'
      ,es: 'Visualizar'
      ,fr: 'Afficher'
      ,pt: 'Visualizar'
      ,ro: 'Afișează'
      ,bg: 'Покажи'
      ,hr: 'Prikaži'
      ,sv: 'Visa'
      ,it: 'Schermo'
      ,dk: 'Vis'
      ,fi: 'Näyttö'
      ,nb: 'Vis'
      ,he: 'תצוגה'
      }
    ,'Loading' : {
      cs: 'Nahrávám'
      ,de: 'Laden'
      ,es: 'Cargando'
      ,fr: 'Chargement'
      ,pt: 'Carregando'
      ,ro: 'Se încarcă'
      ,bg: 'Зареждане'
      ,hr: 'Učitavanje'
      ,sv: 'Laddar'
      ,it: 'Sto Caricando'
      ,dk: 'Indlæser'
      ,fi: 'Lataan'
      ,nb: 'Laster'
      ,he: 'טוען'
      }
    ,'Loading profile' : {
      cs: 'Nahrávám profil'
      ,de: 'Lade Profil'
      ,es: 'Cargando perfil'
      ,fr: 'Chargement du profil'
      ,pt: 'Carregando perfil'
      ,sv: 'Laddar profil'
      ,ro: 'Încarc profilul'
      ,bg: 'Зареждане на профил'
      ,hr: 'Učitavanje profila'
      ,it: 'Sto Caricando il profilo'
      ,dk: 'Indlæser profil'
      ,fi: 'Lataan profiilia'
      ,nb: 'Leser profil'
      ,he: 'טוען פרופיל'
      }
    ,'Loading status' : {
      cs: 'Nahrávám status'
      ,de: 'Lade Status'
      ,es: 'Cargando estado'
      ,fr: 'Statut du chargement'
      ,pt: 'Carregando status'
      ,sv: 'Laddar status'
      ,ro: 'Încarc statusul'
      ,bg: 'Зареждане на статус'
      ,hr: 'Učitavanje statusa'
      ,it: 'Stato di caricamento'
      ,dk: 'Indlæsnings status'
      ,fi: 'Lataan tilaa'
      ,nb: 'Leser status'
      ,he: 'טוען סטטוס'
      }
    ,'Loading food database' : {
      cs: 'Nahrávám databázi jídel'
      ,de: 'Lade Nahrungsmittel-Datenbank'
      ,es: 'Cargando base de datos de alimentos'
      ,fr: 'Chargement de la base de données alimentaire'
      ,pt: 'Carregando dados de alimentos'
      ,sv: 'Laddar födoämnesdatabas'
      ,ro: 'Încarc baza de date de alimente'
      ,bg: 'Зареждане на данни с храни'
      ,hr: 'Učitavanje baze podataka o hrani'
      ,it: 'Carico dati alimenti'
      ,dk: 'Indlæser mad database'
      ,fi: 'Lataan ruokatietokantaa'
      ,nb: 'Leser matdatabase'
      ,he: 'טוען נתוני אוכל'
      }
    ,'not displayed' : {
      cs: 'není zobrazeno'
      ,de: 'nicht angezeigt'
      ,es: 'No mostrado'
      ,fr: 'non affiché'
      ,pt: 'não mostrado'
      ,ro: 'neafișat'
      ,bg: 'Не се показва'
      ,hr: 'Ne prikazuje se'
      ,sv: 'Visas ej'
      ,it: 'Non visualizzato'
      ,dk: 'Vises ikke'
      ,fi: 'ei näytetä'
      ,nb: 'Vises ikke'
      ,he: 'לא מוצג'
      }
    ,'Loading CGM data of' : {
      cs: 'Nahrávám CGM data'
      ,de: 'Lade CGM-Daten von'
      ,es: 'Cargando datos de CGM de'
      ,fr: 'Chargement données CGM de'
      ,pt: 'Carregando dados de CGM de'
      ,sv: 'Laddar CGM-data för'
      ,ro: 'Încarc datele CGM ale lui'
      ,bg: 'Зареждане на CGM данни от'
      ,hr: 'Učitavanja podataka CGM-a'
      ,it: 'Carico dati CGM'
      ,dk: 'Indlæser CGM-data for'
      ,fi: 'Lataan sensoritietoja: '
      ,nb: 'Leser CGM-data for'
      ,he: 'טוען נתוני חיישן סוכר של'
      }
    ,'Loading treatments data of' : {
      cs: 'Nahrávám data ošetření'
      ,de: 'Lade Behandlungsdaten von'
      ,es: 'Cargando datos de tratamientos de'
      ,fr: 'Chargement données traitement de'
      ,pt: 'Carregando dados de tratamento de'
      ,sv: 'Laddar behandlingsdata för'
      ,ro: 'Încarc datele despre tratament pentru'
      ,bg: 'Зареждане на въведените лечения от'
      ,hr: 'Učitavanje podataka o tretmanu'
      ,it: 'Carico trattamenti dei dati di'
      ,dk: 'Indlæser data for'
      ,fi: 'Lataan toimenpidetietoja: '
      ,nb: 'Leser behandlingsdata for'
      ,he: 'טוען נתוני טיפולים של'
      }
    ,'Processing data of' : {
      cs: 'Zpracovávám data'
      ,de: 'Verarbeite Daten von'
      ,es: 'Procesando datos de'
      ,fr: 'Traitement des données de'
      ,pt: 'Processando dados de'
      ,sv: 'Behandlar data för'
      ,ro: 'Procesez datele lui'
      ,bg: 'Зареждане на данни от'
      ,hr: 'Obrada podataka'
      ,it: 'Elaborazione dei dati di'
      ,dk: 'Behandler data for'
      ,fi: 'Käsittelen tietoja: '
      ,nb: 'Behandler data for'
      ,he: 'מעבד נתונים של'
      }
    ,'Portion' : {
      cs: 'Porce'
      ,de: 'Portion'
      ,es: 'Porción'
      ,fr: 'Portion'
      ,pt: 'Porção'
      ,ro: 'Porție'
      ,bg: 'Порция'
      ,hr: 'Dio'
      ,sv: 'Portion'
      ,it: 'Porzione'
      ,dk: 'Portion'
      ,fi: 'Annos'
      ,nb: 'Porsjon'
      ,he: 'מנה'
      }
    ,'Size' : {
      cs: 'Rozměr'
      ,de: 'Größe'
      ,es: 'Tamaño'
      ,fr: 'Taille'
      ,pt: 'Tamanho'
      ,ro: 'Mărime'
      ,sv: 'Storlek'
      ,bg: 'Големина'
      ,hr: 'Veličina'
      ,it: 'Formato'
      ,dk: 'Størrelse'
      ,fi: 'Koko'
      ,nb: 'Størrelse'
      ,he: 'גודל'
      }
    ,'(none)' : {
      cs: '(Žádný)'
      ,de: '(nichts)'
      ,es: '(ninguno)'
      ,fr: '(aucun)'
      ,pt: '(nenhum)'
      ,sv: '(tom)'
      ,ro: '(fără)'
      ,bg: '(няма)'
      ,hr: '(Prazno)'
      ,it: '(Nessuno)'
      ,dk: '(ingen)'
      ,fi: '(tyhjä)'
      ,nb: '(ingen)'
      ,he: '(ללא)'
      }
    ,'<none>' : {
      cs: '<Žádný>'
      ,de: '<nichts>'
      ,es: '<ninguno>'
      ,fr: '<aucun>'
      ,pt: '<nenhum>'
      ,sv: '<tom>'
      ,ro: '<fără>'
      ,bg: '<няма>'
      ,hr: '<Prazno>'
      ,it: '<Nessuno>'
      ,dk: '<ingen>'
      ,fi: '<tyhjä>'
      ,nb: '<ingen>'
      ,he: '<ללא>'
      }
    ,'Result is empty' : {
      cs: 'Prázdný výsledek'
      ,de: 'Leeres Ergebnis'
      ,es: 'Resultado vacío'
      ,fr: 'Pas de résultat'
      ,pt: 'Resultado vazio'
      ,sv: 'Resultat saknas'
      ,ro: 'Fără rezultat'
      ,bg: 'Няма резултат'
      ,hr: 'Prazan rezultat'
      ,it: 'Risultato vuoto'
      ,dk: 'Tomt resultat'
      ,fi: 'Ei tuloksia'
      ,nb: 'Tomt resultat'
      ,he: 'אין תוצאה'
      }
// ported reporting
    ,'Day to day' : {
      cs: 'Den po dni'
      ,de: 'Von Tag zu Tag'
      ,es: 'Día a día'
      ,fr: 'jour par jour'
      ,pt: 'Dia a dia'
      ,sv: 'Dag för dag'
      ,ro: 'Zi cu zi'
      ,bg: 'Ден за ден'
      ,hr: 'Svakodnevno'
      ,it: 'Giorno per giorno'
      ,dk: 'Dag til dag'
      ,fi: 'Päivittäinen'
      ,nb: 'Dag til dag'
      ,he: 'יום-יום'
      }
    ,'Daily Stats' : {
      cs: 'Denní statistiky'
      ,de: 'Tägliche Statistik'
      ,es: 'Estadísticas diarias'
      ,fr: 'Stats quotidiennes'
      ,pt: 'Estatísticas diárias'
      ,sv: 'Dygnsstatistik'
      ,ro: 'Statistici zilnice'
      ,bg: 'Дневна статистика'
      ,hr: 'Dnevna statistika'
      ,it: 'Statistiche giornaliere'
      ,dk: 'Daglig statistik'
      ,fi: 'Päivittäiset tilastot'
      ,nb: 'Daglig statistikk'
      ,he: 'סטטיסטיקה יומית'
      }
    ,'Percentile Chart' : {
      cs: 'Percentil'
      ,de: 'Durchschnittswert'
      ,es: 'Percentiles'
      ,fr: 'Percentiles'
      ,pt: 'Percentis'
      ,ro: 'Grafic percentile'
      ,bg: 'Процентна графика'
      ,hr: 'Tablica u postotcima'
      ,sv: 'Procentgraf'
      ,it: 'Grafico percentile'
      ,dk: 'Procentgraf'
      ,fi: 'Suhteellinen kuvaaja'
      ,nb: 'Prosentgraf'
      ,he: 'טבלת עשירונים'
      }
    ,'Distribution' : {
      cs: 'Rozložení'
      ,de: 'Streuung'
      ,es: 'Distribución'
      ,fr: 'Distribution'
      ,pt: 'Distribuição'
      ,ro: 'Distribuție'
      ,bg: 'Разпределение'
      ,hr: 'Distribucija'
      ,sv: 'Distribution'
      ,it: 'Distribuzione'
      ,dk: 'Distribution'
      ,fi: 'Jakauma'
      ,nb: 'Distribusjon'
      ,he: 'פיזור'
      }
    ,'Hourly stats' : {
      cs: 'Statistika po hodinách'
      ,de: 'Stündliche Statistik'
      ,es: 'Estadísticas por hora'
      ,fr: 'Statistiques horaires'
      ,pt: 'Estatísticas por hora'
      ,sv: 'Timmstatistik'
      ,ro: 'Statistici orare'
      ,bg: 'Статистика по часове'
      ,hr: 'Statistika po satu'
      ,it: 'Statistiche per ore'
      ,dk: 'Timestatistik'
      ,fi: 'Tunneittainen tilasto'
      ,nb: 'Timestatistikk'
      ,he: 'סטטיסטיקה שעתית'
      }
    ,'Weekly success' : {
      cs: 'Statistika po týdnech'
      ,de: 'Wöchentlicher Erfolg'
      ,es: 'Resultados semanales'
      ,fr: 'Résultat hebdomadaire'
      ,pt: 'Resultados semanais'
      ,ro: 'Rezultate săptămânale'
      ,bg: 'Седмичен успех'
      ,hr: 'Tjedni uspjeh'
      ,sv: 'Veckoresultat'
      ,it: 'Statistiche settimanali'
      ,dk: 'Uge resultat'
      ,fi: 'Viikottainen saavutus'
      ,nb: 'Ukeresultat'
      }
    ,'No data available' : {
      cs: 'Žádná dostupná data'
      ,de: 'Keine Daten verfügbar'
      ,es: 'No hay datos disponibles'
      ,fr: 'Pas de données disponibles'
      ,pt: 'Não há dados'
      ,ro: 'Fără date'
      ,bg: 'Няма данни за показване'
      ,hr: 'Nema raspoloživih podataka'
      ,sv: 'Data saknas'
      ,it: 'Dati non disponibili'
      ,dk: 'Mangler data'
      ,fi: 'Tietoja ei saatavilla'
      ,nb: 'Mangler data'
      ,he: 'אין מידע זמין'
      }
    ,'Low' : {
      cs: 'Nízká'
      ,de: 'Tief'
      ,es: 'Bajo'
      ,fr: 'Bas'
      ,pt: 'Baixo'
      ,sv: 'Låg'
      ,ro: 'Prea jos'
      ,bg: 'Ниска'
      ,hr: 'Nizak'
      ,it: 'Basso'
      ,dk: 'Lav'
      ,fi: 'Matala'
      ,nb: 'Lav'
      ,he: 'נמוך'
      }
    ,'In Range' : {
      cs: 'V rozsahu'
      ,de: 'Im Zielbereich'
      ,es: 'En rango'
      ,fr: 'dans la norme'
      ,pt: 'Na meta'
      ,sv: 'Inom intervallet'
      ,ro: 'În interval'
      ,bg: 'В граници'
      ,hr: 'U rasponu'
      ,it: 'In intervallo'
      ,dk: 'Indenfor intervallet'
      ,fi: 'Tavoitealueella'
      ,nb: 'Innenfor intervallet'
      ,he: 'בטווח'
      }
    ,'Period' : {
      cs: 'Období'
      ,de: 'Zeitraum'
      ,es: 'Periodo'
      ,fr: 'Période'
      ,pt: 'Período'
      ,sv: 'Period'
      ,ro: 'Perioada'
      ,bg: 'Период'
      ,hr: 'Period'
      ,it: 'Periodo'
      ,dk: 'Period'
      ,fi: 'Aikaväli'
      ,nb: 'Periode'
      ,he: 'תקופה'
      }
    ,'High' : {
      cs: 'Vysoká'
      ,de: 'Hoch'
      ,es: 'Alto'
      ,fr: 'Haut'
      ,pt: 'Alto'
      ,sv: 'Hög'
      ,ro: 'Prea sus'
      ,bg: 'Висока'
      ,hr: 'Visok'
      ,it: 'Alto'
      ,dk: 'Høj'
      ,fi: 'Korkea'
      ,nb: 'Høy'
      ,he: 'גבוה'
      }
    ,'Average' : {
      cs: 'Průměrná'
      ,de: 'Mittelwert'
      ,es: 'Media'
      ,fr: 'Moyenne'
      ,pt: 'Média'
      ,sv: 'Genomsnittligt'
      ,ro: 'Media'
      ,bg: 'Средна'
      ,hr: 'Prosjek'
      ,it: 'Media'
      ,dk: 'Gennemsnit'
      ,fi: 'Keskiarvo'
      ,nb: 'Gjennomsnitt'
      ,he: 'ממוצע'
      }
    ,'Low Quartile' : {
      cs: 'Nízký kvartil'
      ,de: 'Unteres Quartil'
      ,es: 'Cuartil inferior'
      ,fr: 'Quartile inférieur'
      ,pt: 'Quartil inferior'
      ,ro: 'Pătrime inferioară'
      ,bg: 'Ниска четвъртинка'
      ,hr: 'Donji kvartil'
      ,sv: 'Nedre kvadranten'
      ,it: 'Quartile basso'
      ,dk: 'Nedre kvartil'
      ,fi: 'Alin neljäsosa'
      ,nb: 'Nedre kvartil'
      ,he: 'רבעון נמוך'
      }
    ,'Upper Quartile' : {
      cs: 'Vysoký kvartil'
      ,de: 'Oberes Quartil'
      ,es: 'Cuartil superior'
      ,fr: 'Quartile supérieur'
      ,pt: 'Quartil superior'
      ,ro: 'Pătrime superioară'
      ,bg: 'Висока четвъртинка'
      ,hr: 'Gornji kvartil'
      ,sv: 'Övre kvadranten'
      ,it: 'Quartile alto'
      ,dk: 'Øvre kvartil'
      ,fi: 'Ylin neljäsosa'
      ,nb: 'Øvre kvartil'
      ,he: 'רבעון גבוה'
      }
    ,'Quartile' : {
      cs: 'Kvartil'
      ,de: 'Quartil'
      ,es: 'Cuartil'
      ,fr: 'Quartile'
      ,pt: 'Quartil'
      ,ro: 'Pătrime'
      ,bg: 'Четвъртинка'
      ,hr: 'Kvartil'
      ,sv: 'Kvadrant'
      ,it: 'Quartile'
      ,dk: 'Kvartil'
      ,fi: 'Neljäsosa'
      ,nb: 'Kvartil'
      ,he: 'רבעון'
      }
    ,'Date' : {
      cs: 'Datum'
      ,de: 'Datum'
      ,es: 'Fecha'
      ,fr: 'Date'
      ,pt: 'Data'
      ,sv: 'Datum'
      ,ro: 'Data'
      ,bg: 'Дата'
      ,hr: 'Datum'
      ,it: 'Data'
      ,dk: 'Dato'
      ,fi: 'Päivämäärä'
      ,nb: 'Dato'
      ,he: 'תאריך'
      }
    ,'Normal' : {
      cs: 'Normální'
      ,de: 'Normal'
      ,es: 'Normal'
      ,fr: 'Normale'
      ,pt: 'Normal'
      ,sv: 'Normal'
      ,ro: 'Normal'
      ,bg: 'Нормалнa'
      ,hr: 'Normalno'
      ,it: 'Normale'
      ,dk: 'Normal'
      ,fi: 'Normaali'
      ,nb: 'Normal'
      }
    ,'Median' : {
      cs: 'Medián'
      ,de: 'Median'
      ,es: 'Mediana'
      ,fr: 'Médiane'
      ,pt: 'Mediana'
      ,ro: 'Mediană'
      ,bg: 'Средно'
      ,hr: 'Srednje'
      ,sv: 'Median'
      ,it: 'Mediana'
      ,dk: 'Median'
      ,fi: 'Mediaani'
      ,nb: 'Median'
      ,he: 'חציון'
      }
    ,'Readings' : {
      cs: 'Záznamů'
      ,de: 'Messwerte'
      ,es: 'Valores'
      ,fr: 'Valeurs'
      ,pt: 'Valores'
      ,sv: 'Avläsningar'
      ,ro: 'Valori'
      ,bg: 'Измервания'
      ,hr: 'Vrijednosti'
      ,it: 'Valori'
      ,dk: 'Aflæsning'
      ,fi: 'Lukemia'
      ,nb: 'Avlesning'
      ,he: 'קריאות'
      }
    ,'StDev' : {
      cs: 'St. odchylka'
      ,de: 'Standardabweichung'
      ,es: 'Desviación estándar'
      ,fr: 'Déviation St.'
      ,pt: 'DesvPadr'
      ,sv: 'StdDev'
      ,ro: 'Standarddeviation'
      ,bg: 'Стандартно отклонение'
      ,hr: 'Standardna devijacija'
      ,it: 'Deviazione standard'
      ,dk: 'Standard afvigelse'
      ,fi: 'Keskijakauma'
      ,nb: 'Standardavvik'
      ,he: 'סטיית תקן'
      }
    ,'Daily stats report' : {
      cs: 'Denní statistiky'
      ,de: 'Tagesstatistik Bericht'
      ,es: 'Informe de estadísticas diarias'
      ,fr: 'Rapport quotidien'
      ,pt: 'Relatório diário'
      ,ro: 'Raport statistică zilnică'
      ,bg: 'Дневна статистика'
      ,hr: 'Izvješće o dnevnim statistikama'
      ,sv: 'Dygnsstatistik'
      ,it: 'Statistiche giornaliere'
      ,dk: 'Daglig statistik rapport'
      ,fi: 'Päivittäinen tilasto'
      ,nb: 'Daglig statistikkrapport'
      ,he: 'דוח סטטיסטיקה יומית'
      }
    ,'Glucose Percentile report' : {
      cs: 'Tabulka percentil glykémií'
      ,de: 'Glukose-Prozent Bericht'
      ,es: 'Informe de percetiles de glucemia'
      ,fr: 'Rapport percentiles Glycémie'
      ,pt: 'Relatório de Percentis de Glicemia'
      ,sv: 'Glukosrapport i procent'
      ,ro: 'Raport percentile glicemii'
      ,bg: 'Графика на КЗ'
      ,hr: 'Izvješće o postotku GUK-a'
      ,it: 'Percentuale Glicemie'
      ,dk: 'Glukoserapport i procent'
      ,fi: 'Glukoosin suhteeellinen tilasto'
      ,nb: 'Glukoserapport i prosent'
      }
    ,'Glucose distribution' : {
      cs: 'Rozložení glykémií'
      ,de: 'Glukuse Verteilung'
      ,es: 'Distribución de glucemias'
      ,fr: 'Distribution glycémies'
      ,pt: 'Distribuição de glicemias'
      ,ro: 'Distribuție glicemie'
      ,bg: 'Разпределение на КЗ'
      ,hr: 'Distribucija GUK-a'
      ,sv: 'Glukosdistribution'
      ,it: 'Distribuzione glicemie'
      ,dk: 'Glukosefordeling'
      ,fi: 'Glukoosijakauma'
      ,nb: 'Glukosefordeling'
      ,he: 'פיזור סוכר'
      }
    ,'days total' : {
      cs: 'dní celkem'
      ,de: 'Gesamttage'
      ,es: 'Total de días'
      ,fr: 'jours totaux'
      ,pt: 'dias no total'
      ,sv: 'antal dagar'
      ,ro: 'total zile'
      ,bg: 'общо за деня'
      ,hr: 'ukupno dana'
      ,it: 'Giorni totali'
      ,dk: 'antal dage'
      ,fi: 'päivä yhteensä'
      ,nb: 'antall dager'
      ,he: 'מספר ימים'
      }
    ,'Overall' : {
      cs: 'Celkem'
      ,de: 'Insgesamt'
      ,es: 'General'
      ,fr: 'En général'
      ,pt: 'Geral'
      ,sv: 'Genomsnitt'
      ,ro: 'General'
      ,bg: 'Общо'
      ,hr: 'Ukupno'
      ,it: 'Generale'
      ,dk: 'Overall'
      ,fi: 'Kaiken kaikkiaan'
      ,nb: 'Generelt'
      ,he: 'סך הכל'
      }
    ,'Range' : {
      cs: 'Rozsah'
      ,de: 'Bereich'
      ,es: 'Intervalo'
      ,fr: 'Intervalle'
      ,pt: 'intervalo'
      ,sv: 'Intervall'
      ,ro: 'Interval'
      ,bg: 'Диапазон'
      ,hr: 'Raspon'
      ,it: 'Intervallo'
      ,dk: 'Interval'
      ,fi: 'Alue'
      ,nb: 'Intervall'
      ,he: 'טווח'
      }
    ,'% of Readings' : {
      cs: '% záznamů'
      ,de: '% der Messwerte'
      ,es: '% de valores'
      ,fr: '% de valeurs'
      ,pt: '% de valores'
      ,sv: '& av avläsningar'
      ,ro: '% de valori'
      ,bg: '% от измервания'
      ,hr: '% očitanja'
      ,it: '% dei valori'
      ,dk: '% af aflæsningerne'
      ,fi: '% lukemista'
      ,nb: '% af avlesningene'
      ,he: 'אחוז קריאות'
      }
    ,'# of Readings' : {
      cs: 'počet záznamů'
      ,de: '# der Messwerte'
      ,es: 'N° de valores'
      ,fr: 'nbr de valeurs'
      ,pt: 'N° de valores'
      ,sv: '# av avläsningar'
      ,ro: 'nr. de valori'
      ,bg: '№ от измервания'
      ,hr: 'broj očitanja'
      ,it: 'N° di valori'
      ,dk: 'Antal af aflæsninger'
      ,fi: 'Lukemien määrä'
      ,nb: 'Antall avlesninger'
      ,he: 'מספר קריאות'
      }
    ,'Mean' : {
      cs: 'Střední hodnota'
      ,de: 'Durchschnittlich'
      ,es: 'Media'
      ,fr: 'Moyenne'
      ,pt: 'Média'
      ,sv: 'Genomsnitt'
      ,ro: 'Medie'
      ,bg: 'Средна стойност'
      ,hr: 'Prosjek'
      ,it: 'Media'
      ,dk: 'Gennemsnit'
      ,fi: 'Keskiarvo'
      ,nb: 'Gjennomsnitt'
      ,he: 'ממוצע'
      }
    ,'Standard Deviation' : {
      cs: 'Standardní odchylka'
      ,de: 'Standardabweichung'
      ,es: 'Desviación estándar'
      ,fr: 'Déviation Standard'
      ,pt: 'Desvio padrão'
      ,ro: 'Deviație standard'
      ,bg: 'Стандартно отклонение'
      ,hr: 'Standardna devijacija'
      ,sv: 'Standardavvikelse'
      ,it: 'Deviazione Standard'
      ,dk: 'Standardafgivelse'
      ,fi: 'Keskijakauma'
      ,nb: 'Standardavvik'
      ,he: 'סטיית תקן'
      }
    ,'Max' : {
      cs: 'Max'
      ,de: 'Max'
      ,es: 'Max'
      ,fr: 'Max'
      ,pt: 'Máx'
      ,sv: 'Max'
      ,ro: 'Max'
      ,bg: 'Макс.'
      ,hr: 'Max'
      ,it: 'Max'
      ,dk: 'Max'
      ,fi: 'Maks'
      ,nb: 'Max'
      ,he: 'מקסימאלי'
      }
    ,'Min' : {
      cs: 'Min'
      ,de: 'Min'
      ,es: 'Min'
      ,fr: 'Min'
      ,pt: 'Mín'
      ,sv: 'Min'
      ,ro: 'Min'
      ,bg: 'Мин.'
      ,hr: 'Min'
      ,it: 'Min'
      ,dk: 'Min'
      ,fi: 'Min'
      ,nb: 'Min'
      ,he: 'מינימאלי'
      }
    ,'A1c estimation*' : {
      cs: 'Předpokládané HBA1c*'
      ,de: 'Prognose HbA1c*'
      ,es: 'Estimación de HbA1c*'
      ,fr: 'Estimation HbA1c*'
      ,pt: 'HbA1c estimada*'
      ,ro: 'HbA1C estimată'
      ,bg: 'Очакван HbA1c'
      ,hr: 'Procjena HbA1c-a'
      ,sv: 'Beräknat A1c-värde '
      ,it: 'Stima A1c'
      ,dk: 'Beregnet A1c-værdi '
      ,fi: 'A1c arvio*'
      ,nb: 'Beregnet HbA1c'
      ,he: 'משוער A1c'
      }
    ,'Weekly Success' : {
      cs: 'Týdenní úspěšnost'
      ,de: 'Wöchtlicher Erfolg'
      ,es: 'Resultados semanales'
      ,fr: 'Réussite hebdomadaire'
      ,pt: 'Resultados semanais'
      ,ro: 'Rezultate săptămânale'
      ,bg: 'Седмичен успех'
      ,hr: 'Tjedni uspjeh'
      ,sv: 'Veckoresultat'
      ,it: 'Risultati settimanali'
      ,dk: 'Uge resultat'
      ,fi: 'Viikottainen tulos'
      ,nb: 'Ukeresultat'
      }
    ,'There is not sufficient data to run this report. Select more days.' : {
      cs: 'Není dostatek dat. Vyberte delší časové období.'
      ,de: 'Für diesen Bericht sind nicht genug Daten verfügbar. Bitte weitere Tage auswählen'
      ,es: 'No hay datos suficientes para generar este informe. Seleccione más días.'
      ,fr: 'Pas assez de données pour un rapport. Sélectionnez plus de jours.'
      ,pt: 'Não há dados suficientes. Selecione mais dias'
      ,ro: 'Nu sunt sufieciente date pentru acest raport. Selectați mai multe zile.'
      ,bg: 'Няма достатъчно данни за показване. Изберете повече дни.'
      ,hr: 'Nema dovoljno podataka za izvođenje izvještaja. Odaberite još dana.'
      ,sv: 'Data saknas för att köra rapport. Välj fler dagar.'
      ,it: 'Non ci sono dati sufficienti per eseguire questo rapporto. Selezionare più giorni.'
      ,dk: 'Der er utilstrækkeligt data til at generere rapporten. Vælg flere dage.'
      ,fi: 'Raporttia ei voida luoda liian vähäisen tiedon vuoksi. Valitse useampia päiviä.'
      ,nb: 'Der er ikke nok data til å lage rapporten.  Velg flere dager.'
      ,he: 'לא נמצא מספיק מידע ליצירת הדוח. בחר ימים נוספים.'
	  }
// food editor
    ,'Using stored API secret hash' : {
      cs: 'Používám uložený hash API hesla'
      ,de: 'Gespeicherte API-Prüfsumme verwenden'
      ,es: 'Usando el hash del API pre-almacenado'
      ,fr: 'Utilisation du hash API existant'
      ,pt: 'Usando o hash de API existente'
      ,ro: 'Utilizez cheie API secretă'
      ,bg: 'Използване на запаметена API парола'
      ,hr: 'Koristi se pohranjeni API tajni hash'
      ,sv: 'Använd hemlig API-nyckel'
      ,it: 'Stai utilizzando API hash segreta'
      ,dk: 'Anvender gemt API-nøgle'
      ,fi: 'Tallennettu salainen API-tarkiste käytössä'
      ,nb: 'Bruker lagret API nøkkel'
      }
    ,'No API secret hash stored yet. You need to enter API secret.' : {
      cs: 'Není uložený žádný hash API hesla. Musíte zadat API heslo.'
      ,de: 'Keine API-Prüfsumme gespeichert. Bitte API-Prüfsumme eingeben.'
      ,es: 'No se ha almacenado ningún hash todavía. Debe introducir su secreto API.'
      ,fr: 'Pas de secret API existant. Vous devez l\'en entrer.'
      ,pt: 'Hash de segredo de API inexistente. Insira um segredo de API.'
      ,ro: 'Încă nu există cheie API secretă. Aceasta trebuie introdusă.'
      ,bg: 'Няма запаметена API парола. Tрябва да въведете API парола'
      ,hr: 'Nema pohranjenog API tajnog hasha. Unesite tajni API'
      ,sv: 'Hemlig api-nyckel saknas. Du måste ange API hemlighet'
      ,it: 'API hash segreto non è ancora memorizzato. È necessario inserire API segreto.'
      ,dk: 'Mangler API-nøgle. Du skal indtaste API hemmelighed'
      ,fi: 'Salainen API-tarkiste puuttuu. Syötä API tarkiste.'
      ,nb: 'Mangler API nøkkel. Du må skrive inn API hemmelighet.'
      }
    ,'Database loaded' : {
      cs: 'Databáze načtena'
      ,de: 'Datenbank geladen'
      ,es: 'Base de datos cargada'
      ,fr: 'Base de données chargée'
      ,pt: 'Banco de dados carregado'
      ,ro: 'Baza de date încărcată'
      ,bg: 'База с данни заредена'
      ,hr: 'Baza podataka je učitana'
      ,sv: 'Databas laddad'
      ,it: 'Database caricato'
      ,dk: 'Database indlæst'
      ,fi: 'Tietokanta ladattu'
      ,nb: 'Database lest'
      }
    ,'Error: Database failed to load' : {
      cs: 'Chyba při načítání databáze'
      ,de: 'Fehler: Datenbank konnte nicht geladen werden'
      ,es: 'Error: Carga de base de datos fallida'
      ,fr: 'Erreur: le chargement de la base de données a échoué'
      ,pt: 'Erro: Banco de dados não carregado'
      ,ro: 'Eroare: Nu s-a încărcat baza de date'
      ,bg: 'ГРЕШКА. Базата с данни не успя да се зареди'
      ,hr: 'Greška: Baza podataka nije učitana'
      ,sv: 'Error: Databas kan ej laddas'
      ,it: 'Errore: database non è stato caricato'
      ,dk: 'Fejl: Database kan ikke indlæses'
      ,fi: 'Virhe: Tietokannan lataaminen epäonnistui'
      ,nb: 'Feil: Database kan ikke leses'
      ,he: 'שגיאה: לא ניתן לטעון בסיס נתונים'
      }
    ,'Create new record' : {
      cs: 'Vytvořit nový záznam'
      ,de: 'Erstelle neuen Datensatz'
      ,es: 'Crear nuevo registro'
      ,fr: 'Créer nouvel enregistrement'
      ,pt: 'Criar novo registro'
      ,ro: 'Crează înregistrare nouă'
      ,bg: 'Създаване на нов запис'
      ,hr: 'Kreiraj novi zapis'
      ,sv: 'Skapa ny post'
      ,it: 'Crea nuovo registro'
      ,dk: 'Danner ny post'
      ,fi: 'Luo uusi tallenne'
      ,nb: 'Lager ny registrering'
      ,he: 'צור רשומה חדשה'
      }
    ,'Save record' : {
      cs: 'Uložit záznam'
      ,de: 'Speichere Datensatz'
      ,es: 'Guardar registro'
      ,fr: 'Sauver enregistrement'
      ,pt: 'Salvar registro'
      ,ro: 'Salvează înregistrarea'
      ,bg: 'Запази запис'
      ,hr: 'Spremi zapis'
      ,sv: 'Spara post'
      ,it: 'Salva Registro'
      ,dk: 'Gemmer post'
      ,fi: 'Tallenna'
      ,nb: 'Lagrer registrering'
      ,he: 'שמור רשומה'
      }
    ,'Portions' : {
      cs: 'Porcí'
      ,de: 'Portionen'
      ,es: 'Porciones'
      ,fr: 'Portions'
      ,pt: 'Porções'
      ,ro: 'Porții'
      ,bg: 'Порции'
      ,hr: 'Dijelovi'
      ,sv: 'Portion'
      ,it: 'Porzioni'
      ,dk: 'Portioner'
      ,fi: 'Annokset'
      ,nb: 'Porsjoner'
      ,he: 'מנות'
      }
    ,'Unit' : {
      cs: 'Jedn'
      ,de: 'Einheit'
      ,es: 'Unidades'
      ,fr: 'Unités'
      ,pt: 'Unidade'
      ,ro: 'Unități'
      ,bg: 'Единици'
      ,hr: 'Jedinica'
      ,sv: 'Enhet'
      ,it: 'Unità'
      ,dk: 'Enheder'
      ,fi: 'Yksikkö'
      ,nb: 'Enhet'
      ,he: 'יחידות'
      }
    ,'GI' : {
      cs: 'GI'
      ,de: 'GI'
      ,es: 'IG'
      ,fr: 'IG'
      ,pt: 'IG'
      ,sv: 'GI'
      ,ro: 'CI'
      ,bg: 'ГИ'
      ,hr: 'GI'
      ,it: 'GI'
      ,dk: 'GI'
      ,fi: 'GI'
      ,nb: 'GI'
      }
    ,'Edit record' : {
      cs: 'Upravit záznam'
      ,de: 'Bearbeite Datensatz'
      ,es: 'Editar registro'
      ,fr: 'Modifier enregistrement'
      ,pt: 'Editar registro'
      ,ro: 'Editează înregistrarea'
      ,bg: 'Редактирай запис'
      ,hr: 'Uredi zapis'
      ,sv: 'Editera post'
      ,it: 'Modifica registro'
      ,dk: 'Editere post'
      ,fi: 'Muokkaa tallennetta'
      ,nb: 'Editere registrering'
      ,he: 'ערוך רשומה'
      }
    ,'Delete record' : {
      cs: 'Smazat záznam'
      ,de: 'Lösche Datensatz'
      ,es: 'Borrar registro'
      ,fr: 'Effacer enregistrement'
      ,pt: 'Apagar registro'
      ,ro: 'Șterge înregistrarea'
      ,bg: 'Изтрий запис'
      ,hr: 'Izbriši zapis'
      ,sv: 'Radera post'
      ,it: 'Cancella registro'
      ,dk: 'Slet post'
      ,fi: 'Tuhoa tallenne'
      ,nb: 'Slette registrering'
      ,he: 'מחק רשומה'
      }
    ,'Move to the top' : {
      cs: 'Přesuň na začátek'
      ,de: 'Gehe zum Anfang'
      ,es: 'Mover arriba'
      ,fr: 'Déplacer au sommet'
      ,pt: 'Mover para o topo'
      ,sv: 'Gå till toppen'
      ,ro: 'Mergi la început'
      ,bg: 'Преместване в началото'
      ,hr: 'Premjesti na vrh'
      ,it: 'Spostare verso l\'alto'
      ,dk: 'Gå til toppen'
      ,fi: 'Siirrä ylimmäksi'
      ,nb: 'Gå til toppen'
      ,he: 'עבור למעלה'
      }
    ,'Hidden' : {
      cs: 'Skrytý'
      ,de: 'Versteckt'
      ,es: 'Oculto'
      ,fr: 'Caché'
      ,pt: 'Oculto'
      ,sv: 'Dold'
      ,ro: 'Ascuns'
      ,bg: 'Скрити'
      ,hr: 'Skriveno'
      ,it: 'Nascosto'
      ,dk: 'Skjult'
      ,fi: 'Piilotettu'
      ,nb: 'Skjult'
      ,he: 'מוסתר'
      }
    ,'Hide after use' : {
      cs: 'Skryj po použití'
      ,de: 'Verberge nach Gebrauch'
      ,es: 'Ocultar después de utilizar'
      ,fr: 'Cacher après utilisation'
      ,pt: 'Ocultar após uso'
      ,ro: 'Ascunde după folosireaa'
      ,bg: 'Скрий след употреба'
      ,hr: 'Sakrij nakon korištenja'
      ,sv: 'Dölj efter användning'
      ,it: 'Nascondi dopo l\'uso'
      ,dk: 'Skjul efter brug'
      ,fi: 'Piilota käytön jälkeen'
      ,nb: 'Skjul etter bruk'
      ,he: 'הסתר לאחר שימוש'
      }
    ,'Your API secret must be at least 12 characters long' : {
      cs: 'Vaše API heslo musí mít alespoň 12 znaků'
      ,de: 'Deine API-Prüfsumme muss mindestens 12 Zeichen lang sein'
      ,es: 'Su secreo API debe contener al menos 12 caracteres'
      ,fr: 'Votre secret API doit contenir au moins 12 caractères'
      ,pt: 'Seu segredo de API deve conter no mínimo 12 caracteres'
      ,ro: 'Cheia API trebuie să aibă mai mult de 12 caractere'
      ,bg: 'Вашата АPI парола трябва да е дълга поне 12 символа'
      ,hr: 'Vaš tajni API mora sadržavati barem 12 znakova'
      ,sv: 'Hemlig API-nyckel måsta innehålla 12 tecken'
      ,it: 'il vostro API secreto deve essere lungo almeno 12 caratteri'
      ,dk: 'Din API nøgle skal være mindst 12 tegn lang'
      ,fi: 'API-avaimen tulee olla ainakin 12 merkin mittainen'
      ,nb: 'Din API nøkkel må være minst 12 tegn lang'
      }
    ,'Bad API secret' : {
      cs: 'Chybné API heslo'
      ,de: 'Fehlerhafte API-Prüfsumme'
      ,es: 'Secreto API incorrecto'
      ,fr: 'Secret API erroné'
      ,pt: 'Segredo de API incorreto'
      ,ro: 'Cheie API greșită'
      ,bg: 'Некоректна API парола'
      ,hr: 'Neispravan tajni API'
      ,sv: 'Felaktig API-nyckel'
      ,it: 'API secreto non corretto'
      ,dk: 'Forkert API-nøgle'
      ,fi: 'Väärä API-avain'
      ,nb: 'Ugyldig API nøkkel'
      }
    ,'API secret hash stored' : {
      cs: 'Hash API hesla uložen'
      ,de: 'API-Prüfsumme gespeichert'
      ,es: 'Hash de secreto API guardado'
      ,fr: 'Hash API secret sauvegardé'
      ,pt: 'Segredo de API guardado'
      ,ro: 'Cheie API înregistrată'
      ,bg: 'УРА! API парола запаметена'
      ,hr: 'API tajni hash je pohranjen'
      ,sv: 'Lagrad hemlig API-hash'
      ,it: 'Hash API secreto memorizzato'
      ,dk: 'Hemmelig API-hash gemt'
      ,fi: ''
      ,nb: 'API nøkkel lagret'
      }
    ,'Status' : {
      cs: 'Status'
      ,de: 'Status'
      ,es: 'Estado'
      ,fr: 'Statut'
      ,pt: 'Status'
      ,sv: 'Status'
      ,ro: 'Status'
      ,bg: 'Статус'
      ,hr: 'Status'
      ,it: 'Stato'
      ,dk: 'Status'
      ,fi: 'Tila'
      ,nb: 'Status'
      ,he: 'מצב מערכת'
      }
    ,'Not loaded' : {
      cs: 'Nenačtený'
      ,de: 'Nicht geladen'
      ,es: 'No cargado'
      ,fr: 'Non chargé'
      ,pt: 'Não carregado'
      ,ro: 'Neîncărcat'
      ,bg: 'Не е заредено'
      ,hr: 'Nije učitano'
      ,sv: 'Ej laddad'
      ,it: 'Non caricato'
      ,dk: 'Ikke indlæst'
      ,fi: 'Ei ladattu'
      ,nb: 'Ikke lest'
      }
    ,'Food editor' : {
      cs: 'Editor jídel'
      ,de: 'Nahrungsmittel Editor'
      ,es: 'Editor de alimentos'
      ,fr: 'Editeur aliments'
      ,pt: 'Editor de alimentos'
      ,ro: 'Editor alimente'
      ,bg: 'Редактор за храна'
      ,hr: 'Editor hrane'
      ,sv: 'Födoämneseditor'
      ,it: 'Modifica alimenti'
      ,dk: 'Mad editor'
      ,fi: 'Muokkaa ruokia'
      ,nb: 'Mat editor'
      }
    ,'Your database' : {
      cs: 'Vaše databáze'
      ,de: 'Deine Datenbank'
      ,es: 'Su base de datos'
      ,fr: 'Votre base de données'
      ,pt: 'Seu banco de dados'
      ,sv: 'Din databas'
      ,ro: 'Baza de date'
      ,bg: 'Твоята база с данни'
      ,hr: 'Vaša baza podataka'
      ,it: 'Vostro database'
      ,dk: 'Din database'
      ,fi: 'Tietokantasi'
      ,nb: 'Din database'
      ,he: 'בסיס הנתונים שלך'
      }
    ,'Filter' : {
      cs: 'Filtr'
      ,de: 'Filter'
      ,es: 'Filtro'
      ,fr: 'Filtre'
      ,pt: 'Filtro'
      ,sv: 'Filter'
      ,ro: 'Filtru'
      ,bg: 'Филтър'
      ,hr: 'Filter'
      ,it: 'Filtro'
      ,dk: 'Filter'
      ,fi: 'Suodatin'
      ,nb: 'Filter'
      ,he: 'סנן'
      }
    ,'Save' : {
      cs: 'Ulož'
      ,de: 'Speichern'
      ,es: 'Salvar'
      ,fr: 'Sauver'
      ,pt: 'Salvar'
      ,ro: 'Salvează'
      ,bg: 'Запази'
      ,hr: 'Spremi'
      ,sv: 'Spara'
      ,it: 'Salva'
      ,dk: 'Gem'
      ,fi: 'Tallenna'
      ,nb: 'Lagre'
      ,he: 'שמור'
      }
    ,'Clear' : {
      cs: 'Vymaž'
      ,de: 'Löschen'
      ,es: 'Limpiar'
      ,fr: 'Effacer'
      ,pt: 'Apagar'
      ,ro: 'Inițializare'
      ,bg: 'Изчисти'
      ,hr: 'Očisti'
      ,sv: 'Rensa'
      ,it: 'Pulisci'
      ,dk: 'Rense'
      ,fi: 'Tyhjennä'
      ,nb: 'Tøm'
      ,he: 'נקה'
      }
    ,'Record' : {
      cs: 'Záznam'
      ,de: 'Datensatz'
      ,es: 'Guardar'
      ,fr: 'Enregistrement'
      ,pt: 'Gravar'
      ,sv: 'Post'
      ,ro: 'Înregistrare'
      ,bg: 'Запиши'
      ,hr: 'Zapis'
      ,it: 'Registro'
      ,dk: 'Post'
      ,fi: 'Tietue'
      ,nb: 'Registrering'
      ,he: 'רשומה'
      }
    ,'Quick picks' : {
      cs: 'Rychlý výběr'
      ,de: 'Schnellauswahl'
      ,es: 'Selección rápida'
      ,fr: 'Sélection rapide'
      ,pt: 'Seleção rápida'
      ,ro: 'Selecție rapidă'
      ,bg: 'Бърз избор'
      ,hr: 'Brzi izbor'
      ,sv: 'Snabbval'
      ,it: 'Scelta rapida'
      ,dk: 'Hurtig valg'
      ,fi: 'Nopeat valinnat'
      ,nb: 'Hurtigvalg'
      ,he: 'בחירה מהירה'
      }
    ,'Show hidden' : {
      cs: 'Zobraz skryté'
      ,de: 'Zeige verborgen'
      ,es: 'Mostrar ocultos'
      ,fr: 'Montrer cachés'
      ,pt: 'Mostrar ocultos'
      ,ro: 'Arată înregistrările ascunse'
      ,bg: 'Покажи скритото'
      ,hr: 'Prikaži skriveno'
      ,sv: 'Visa dolda'
      ,it: 'Mostra nascosto'
      ,dk: 'Vis skjulte'
      ,fi: 'Näytä piilotettu'
      ,nb: 'Vis skjulte'
      ,he: 'הצג נתונים מוסתרים'
      }
    ,'Your API secret' : {
      cs: 'Vaše API heslo'
      ,de: 'Deine API Prüfsumme'
      ,es: 'Su secreto API'
      ,fr: 'Votre secret API'
      ,pt: 'Seu segredo de API'
      ,sv: 'Din API-nyckel'
      ,ro: 'Cheia API'
      ,bg: 'Твоята API парола'
      ,hr: 'Vaš tajni API'
      ,it: 'Il tuo API secreto'
      ,dk: 'Din API-nøgle'
      ,fi: 'Sinun API-avaimesi'
      ,nb: 'Din API nøkkel'
      }
    ,'Store hash on this computer (Use only on private computers)' : {
      cs: 'Ulož hash na tomto počítači (používejte pouze na soukromých počítačích)'
      ,de: 'Speichere Prüfsumme auf diesem Computer (nur auf privaten Computern anwenden)'
      ,es: 'Guardar hash en este ordenador (Usar solo en ordenadores privados)'
      ,fr: 'Sauver le hash sur cet ordinateur (privé uniquement)'
      ,pt: 'Salvar hash nesse computador (Somente em computadores privados)'
      ,ro: 'Salvează cheia pe acest PC (Folosiți doar PC de încredere)'
      ,bg: 'Запамети данните на този компютър. ( Използвай само на собствен компютър)'
      ,hr: 'Pohrani hash na ovom računalu (Koristiti samo na osobnom računalu)'
      ,sv: 'Lagra hashvärde på denna dator (använd endast på privat dator)'
      ,it: 'Conservare hash su questo computer (utilizzare solo su computer privati)'
      ,dk: 'Gemme hash på denne computer (brug kun på privat computer)'
      ,fi: 'Tallenna avain tälle tietokoneelle (käytä vain omalla tietokoneellasi)'
      ,nb: 'Lagre hash på denne pc (bruk kun på privat pc)'
      }
    ,'Treatments' : {
      cs: 'Ošetření'
      ,de: 'Bearbeitung'
      ,es: 'Tratamientos'
      ,fr: 'Traitements'
      ,pt: 'Procedimentos'
      ,sv: 'Behandling'
      ,ro: 'Tratamente'
      ,bg: 'Събития'
      ,hr: 'Tretmani'
      ,it: 'Somministrazione'
      ,dk: 'Behandling'
      ,fi: 'Hoitotoimenpiteet'
      ,nb: 'Behandlinger'
      ,he: 'טיפולים'
      }
    ,'Time' : {
      cs: 'Čas'
      ,de: 'Zeit'
      ,es: 'Hora'
      ,fr: 'Heure'
      ,pt: 'Hora'
      ,sv: 'Tid'
      ,ro: 'Ora'
      ,bg: 'Време'
      ,hr: 'Vrijeme'
      ,it: 'Tempo'
      ,dk: 'Tid'
      ,fi: 'Aika'
      ,nb: 'Tid'
      ,he: 'זמן'
      }
    ,'Event Type' : {
      cs: 'Typ události'
      ,de: 'Ereignis-Typ'
      ,es: 'Tipo de evento'
      ,fr: 'Type d\'événement'
      ,pt: 'Tipo de evento'
      ,sv: 'Händelsetyp'
      ,ro: 'Tip eveniment'
      ,bg: 'Вид събитие'
      ,hr: 'Vrsta događaja'
      ,it: 'Tipo di evento'
      ,dk: 'Hændelsestype'
      ,fi: 'Tapahtumatyyppi'
      ,nb: 'Type'
      ,he: 'סוג אירוע'
      }
    ,'Blood Glucose' : {
      cs: 'Glykémie'
      ,de: 'Blutglukose'
      ,es: 'Glucemia'
      ,fr: 'Glycémie'
      ,pt: 'Glicemia'
      ,sv: 'Glukosvärde'
      ,ro: 'Glicemie'
      ,bg: 'Кръвна захар'
      ,hr: 'GUK'
      ,it: 'Glicemie'
      ,dk: 'Glukoseværdi'
      ,fi: 'Verensokeri'
      ,nb: 'Blodsukker'
      ,he: 'סוכר בדם'
      }
    ,'Entered By' : {
      cs: 'Zadal'
      ,de: 'Eingabe durch'
      ,es: 'Introducido por'
      ,fr: 'Entré par'
      ,pt: 'Inserido por'
      ,sv: 'Inlagt av'
      ,ro: 'Introdus de'
      ,bg: 'Въведено от'
      ,hr: 'Unos izvršio'
      ,it: 'inserito da'
      ,dk: 'Indtastet af'
      ,fi: 'Tiedot syötti'
      ,nb: 'Lagt inn av'
      ,he: 'הוזן על-ידי'
      }
    ,'Delete this treatment?' : {
      cs: 'Vymazat toto ošetření?'
      ,de: 'Bearbeitung löschen'
      ,es: '¿Borrar este tratamiento?'
      ,fr: 'Effacer ce traitement?'
      ,pt: 'Apagar este procedimento?'
      ,ro: 'Șterge acest eveniment?'
      ,bg: 'Изтрий това събитие'
      ,hr: 'Izbriši ovaj tretman?'
      ,sv: 'Ta bort händelse?'
      ,it: 'Eliminare questa somministrazione?'
      ,dk: 'Slet denne hændelse?'
      ,fi: 'Tuhoa tämä hoitotoimenpide?'
      ,nb: 'Slett denne hendelsen?'
      ,he: 'למחוק רשומה זו?'
      }
    ,'Carbs Given' : {
      cs: 'Sacharidů'
      ,de: 'Kohlenhydratgabe'
      ,es: 'Hidratos de carbono dados'
      ,fr: 'Glucides donnés'
      ,pt: 'Carboidratos'
      ,ro: 'Carbohidrați'
      ,bg: 'ВХ'
      ,hr: 'Količina UH'
      ,sv: 'Antal kolhydrater'
      ,it: 'Carboidrati'
      ,dk: 'Antal kulhydrater'
      ,fi: 'Hiilihydraatit'
      ,nb: 'Karbo'
      ,he: 'פחמימות שנאכלו'
      }
    ,'Inzulin Given' : {
      cs: 'Inzulínu'
      ,de: 'Insulingabe'
      ,es: 'Insulina dada'
      ,fr: 'Insuline donnée'
      ,pt: 'Insulina'
      ,ro: 'Insulină administrată'
      ,bg: 'Инсулин'
      ,hr: 'Količina inzulina'
      ,sv: 'Insulin'
      ,it: 'Insulina'
      ,dk: 'Insulin'
      ,fi: 'Insuliiniannos'
      ,nb: 'Insulin'
      ,he: 'אינסולין שניתן'
      }
    ,'Event Time' : {
      cs: 'Čas události'
      ,de: 'Ereignis Zeit'
      ,es: 'Hora del evento'
      ,fr: 'Heure de l\'événement'
      ,pt: 'Hora do evento'
      ,sv: 'Klockslag'
      ,ro: 'Ora evenimentului'
      ,bg: 'Въвеждане'
      ,hr: 'Vrijeme događaja'
      ,it: 'Ora Evento'
      ,dk: 'Tidspunkt for hændelsen'
      ,fi: 'Aika'
      ,nb: 'Tidspunkt for hendelsen'
      ,he: 'זמן האירוע'
      }
    ,'Please verify that the data entered is correct' : {
      cs: 'Prosím zkontrolujte, zda jsou údaje zadány správně'
      ,de: 'Bitte Daten auf Plausibilität prüfen'
      ,es: 'Por favor, verifique que los datos introducidos son correctos'
      ,fr: 'Merci de vérifier la correction des données entrées'
      ,pt: 'Favor verificar se os dados estão corretos'
      ,ro: 'Verificați conexiunea datelor introduse'
      ,bg: 'Моля проверете, че датата е въведена правилно'
      ,hr: 'Molim Vas provjerite jesu li uneseni podaci ispravni'
      ,sv: 'Vänligen verifiera att inlagd data är korrekt'
      ,it: 'Si prega di verificare che i dati inseriti siano corretti'
      ,dk: 'Venligst verificer at indtastet data er korrekt'
      ,fi: 'Varmista, että tiedot ovat oikein'
      ,nb: 'Vennligst verifiser at inntastet data er korrekt'
      ,he: 'נא לוודא שהמידע שהוזן הוא נכון ומדוייק'
      }
    ,'BG' : {
      cs: 'Glykémie'
      ,de: 'Blutglukose'
      ,es: 'Glucemia en sangre'
      ,fr: 'Glycémie'
      ,pt: 'Glicemia'
      ,sv: 'BS'
      ,ro: 'Glicemie'
      ,bg: 'КЗ'
      ,hr: 'GUK'
      ,it: 'Glicemie'
      ,dk: 'BS'
      ,fi: 'VS'
      ,nb: 'BS'
      }
    ,'Use BG correction in calculation' : {
      cs: 'Použij korekci na glykémii'
      ,de: 'Verwende Blutglukose-Korrektur zur Kalkulation'
      ,es: 'Usar la corrección de glucemia en los cálculos'
      ,fr: 'Utiliser la correction de glycémie dans les calculs'
      ,pt: 'Usar correção de glicemia nos cálculos'
      ,ro: 'Folosește corecția de glicemie în calcule'
      ,bg: 'Използвай корекцията за КЗ в изчислението'
      ,hr: 'Koristi korekciju GUK-a u izračunu'
      ,sv: 'Använd BS-korrektion för beräkning'
      ,it: 'Utilizzare la correzione nei calcoli delle Glicemie'
      ,dk: 'Anvend BS-korrektion før beregning'
      ,fi: 'Käytä korjausannosta laskentaan'
      ,nb: 'Bruk blodsukkerkorrigering i beregning'
      }
    ,'BG from CGM (autoupdated)' : {
      cs: 'Glykémie z CGM (automaticky aktualizovaná)'
      ,de: 'Blutglukose vom CGM (Autoupdate)'
      ,es: 'Glucemia del sensor (Actualizado automáticamente)'
      ,fr: 'Glycémie CGM (automatique)'
      ,pt: 'Glicemia do sensor (Automático)'
      ,sv: 'BS från CGM (automatiskt)'
      ,ro: 'Glicemie în senzor (automat)'
      ,bg: 'КЗ от сензора (автоматично)'
      ,hr: 'GUK sa CGM-a (ažuriran automatski)'
      ,it: 'Glicemie da CGM (aggiornamento automatico)'
      ,dk: 'BS fra CGM (automatisk)'
      ,fi: 'VS sensorilta (päivitetty automaattisesti)'
      ,nb: 'BS fra CGM (automatisk)'
      }
    ,'BG from meter' : {
      cs: 'Glykémie z glukoměru'
      ,de: 'Blutzucker vom Messgerät'
      ,es: 'Glucemia del glucómetro'
      ,fr: 'Glycémie de glucomètre'
      ,pt: 'Glicemia do glicosímetro'
      ,sv: 'BS från blodsockermätare'
      ,ro: 'Glicemie în glucometru'
      ,bg: 'КЗ от глюкомер'
      ,hr: 'GUK s glukometra'
      ,it: 'Glicemie da glucometro'
      ,dk: 'BS fra blodsukkerapperat'
      ,fi: 'VS mittarilta'
      ,nb: 'BS fra blodsukkerapparat'
      }
    ,'Manual BG' : {
      cs: 'Ručně zadaná glykémie'
      ,de: 'Blutzucker händisch'
      ,es: 'Glucemia manual'
      ,fr: 'Glycémie manuelle'
      ,pt: 'Glicemia Manual'
      ,ro: 'Glicemie manuală'
      ,bg: 'Ръчно въведена КЗ'
      ,hr: 'Ručno unesen GUK'
      ,sv: 'Manuellt BS'
      ,it: 'Inserisci Glicemia'
      ,dk: 'Manuelt BS'
      ,fi: 'Käsin syötetty VS'
      ,nb: 'Manuelt BS'
      }
    ,'Quickpick' : {
      cs: 'Rychlý výběr'
      ,de: 'Schnellauswahl'
      ,es: 'Selección rápida'
      ,fr: 'Sélection rapide'
      ,pt: 'Seleção rápida'
      ,ro: 'Selecție rapidă'
      ,bg: 'Бърз избор'
      ,hr: 'Brzi izbor'
      ,sv: 'Snabbval'
      ,it: 'Scelta rapida'
      ,dk: 'Hurtig snack'
      ,fi: 'Pikavalinta'
      ,nb: 'Hurtigvalg'
      }
    ,'or' : {
      cs: 'nebo'
      ,de: 'oder'
      ,es: 'o'
      ,fr: 'ou'
      ,pt: 'or'
      ,sv: 'Eller'
      ,ro: 'sau'
      ,bg: 'или'
      ,hr: 'ili'
      ,it: 'o'
      ,dk: 'eller'
      ,fi: 'tai'
      ,nb: 'eller'
      ,he: 'או'
      }
    ,'Add from database' : {
      cs: 'Přidat z databáze'
      ,de: 'Ergänzt aus Datenbank'
      ,es: 'Añadir desde la base de datos'
      ,fr: 'Ajouter à partir de la base de données'
      ,pt: 'Adicionar do banco de dados'
      ,ro: 'Adaugă din baza de date'
      ,bg: 'Добави от базата с данни'
      ,hr: 'Dodaj iz baze podataka'
      ,sv: 'Lägg till från databas'
      ,it: 'Aggiungi dal database'
      ,dk: 'Tilføj fra database'
      ,fi: 'Lisää tietokannasta'
      ,nb: 'Legg til fra database'
      ,he: 'הוסף מבסיס נתונים'
      }
    ,'Use carbs correction in calculation' : {
      cs: 'Použij korekci na sacharidy'
      ,de: 'Verwende Kohlenhydrate-Korrektur zur Kalkulation'
      ,es: 'Usar la corrección de hidratos de carbono en los cálculos'
      ,fr: 'Utiliser la correction en glucides dans les calculs'
      ,pt: 'Usar correção com carboidratos no cálculo'
      ,ro: 'Folosește corecția de carbohidrați în calcule'
      ,bg: 'Включи корекцията чрез ВХ в изчислението'
      ,hr: 'Koristi korekciju za UH u izračunu'
      ,sv: 'Använd kolhydratkorrektion för beräkning'
      ,it: 'Utilizzare la correzione dei carboidrati nel calcolo'
      ,dk: 'Benyt kulhydratkorrektion i beregning'
      ,fi: 'Käytä hiilihydraattikorjausta laskennassa'
      ,nb: 'Bruk karbohydratkorrigering i beregning'
      }
    ,'Use COB correction in calculation' : {
      cs: 'Použij korekci na COB'
      ,de: 'Verwende verzehrte Kohlenhydrate zur Kalkulation'
      ,es: 'Usar la corrección de COB en los cálculos'
      ,fr: 'Utiliser les COB dans les calculs'
      ,pt: 'Usar correção de COB no cálculo'
      ,ro: 'Folosește COB în calcule'
      ,bg: 'Включи активните ВХ в изчислението'
      ,hr: 'Koristi aktivne UH u izračunu'
      ,sv: 'Använd aktiva kolhydrater för beräkning'
      ,it: 'Utilizzare la correzione COB nel calcolo'
      ,dk: 'Benyt aktive kulhydrater i beregning'
      ,fi: 'Käytä aktiivisia hiilihydraatteja laskennassa'
      ,nb: 'Benytt aktive karbohydrater i beregning'
      }
    ,'Use IOB in calculation' : {
      cs: 'Použij IOB ve výpočtu'
      ,de: 'Verwende gespritzes Insulin zur Kalkulation'
      ,es: 'Usar la IOB en los cálculos'
      ,fr: 'Utiliser l\'IOB dans les calculs'
      ,pt: 'Usar IOB no cálculo'
      ,ro: 'Folosește IOB în calcule'
      ,bg: 'Включи активния инсулин в изчислението'
      ,hr: 'Koristi aktivni inzulin u izračunu"'
      ,sv: 'Använd aktivt insulin för beräkning'
      ,it: 'Utilizzare la correzione IOB nel calcolo'
      ,dk: 'Benyt aktivt insulin i beregningen'
      ,fi: 'Käytä aktiviivista insuliinia laskennassa'
      ,nb: 'Bruk aktivt insulin i beregningen'
      }
    ,'Other correction' : {
      cs: 'Jiná korekce'
      ,de: 'Weitere Korrektur'
      ,es: 'Otra correción'
      ,fr: 'Autre correction'
      ,pt: 'Outra correção'
      ,ro: 'Alte corecții'
      ,bg: 'Друга корекция'
      ,hr: 'Druga korekcija'
      ,sv: 'Övrig korrektion'
      ,it: 'Altre correzioni'
      ,dk: 'Øvrig korrektion'
      ,fi: 'Muu korjaus'
      ,nb: 'Annen korrigering'
      }
    ,'Rounding' : {
      cs: 'Zaokrouhlení'
      ,de: 'Gerundet'
      ,es: 'Redondeo'
      ,fr: 'Arrondi'
      ,pt: 'Arredondamento'
      ,sv: 'Avrundning'
      ,ro: 'Rotunjire'
      ,bg: 'Закръгляне'
      ,hr: 'Zaokruživanje'
      ,it: 'Arrotondamento'
      ,dk: 'Afrunding'
      ,fi: 'Pyöristys'
      ,nb: 'Avrunding'
    }
    ,'Enter insulin correction in treatment' : {
      cs: 'Zahrň inzulín do záznamu ošetření'
      ,de: 'Insulin Korrektur zur Behandlung eingeben'
      ,es: 'Introducir correción de insulina en tratamiento'
      ,fr: 'Entrer correction insuline dans le traitement'
      ,pt: 'Inserir correção de insulina no tratamento'
      ,ro: 'Introdu corecția de insulină în tratament'
      ,bg: 'Въведи корекция с инсулин като лечение'
      ,hr: 'Unesi korekciju inzulinom u tretman'
      ,sv: 'Ange insulinkorrektion för händelse'
      ,it: 'Inserisci correzione insulina nella somministrazione'
      ,dk: 'Indtast insulionkorrektion'
      ,fi: 'Syötä insuliinikorjaus'
      ,nb: 'Task inn insulinkorrigering'
      }
    ,'Insulin needed' : {
      cs: 'Potřebný inzulín'
      ,de: 'Benötigtes Insulin'
      ,es: 'Insulina necesaria'
      ,fr: 'Insuline nécessaire'
      ,pt: 'Insulina necessária'
      ,ro: 'Necesar insulină'
      ,bg: 'Необходим инсулин'
      ,hr: 'Potrebno inzulina'
      ,sv: 'Beräknad insulinmängd'
      ,it: 'Insulina necessaria'
      ,dk: 'Insulin påkrævet'
      ,fi: 'Insuliinitarve'
      ,nb: 'Insulin nødvendig'
      ,he: 'אינסולין נדרש'
      }
    ,'Carbs needed' : {
      cs: 'Potřebné sach'
      ,de: 'Benötigte Kohlenhydrate'
      ,es: 'Hidratos de carbono necesarios'
      ,fr: 'Glucides nécessaires'
      ,pt: 'Carboidratos necessários'
      ,ro: 'Necesar carbohidrați'
      ,bg: 'Необходими въглехидрати'
      ,hr: 'Potrebno UH'
      ,sv: 'Beräknad kolhydratmängd'
      ,it: 'Carboidrati necessari'
      ,dk: 'Kulhydrater påkrævet'
      ,fi: 'Hiilihydraattitarve'
      ,nb: 'Karbohydrater nødvendig'
      ,he: 'פחמימות נדרשות'
      }
    ,'Carbs needed if Insulin total is negative value' : {
      cs: 'Chybějící sacharidy v případě, že výsledek je záporný'
      ,de: 'Benötigte Kohlenhydrate sofern Gesamtinsulin einen negativen Wert aufweist'
      ,es: 'Hidratos de carbono necesarios si el total de insulina es un valor negativo'
      ,fr: 'Glucides nécessaires si insuline totale est un valeur négative'
      ,pt: 'Carboidratos necessários se Insulina total for negativa'
      ,ro: 'Carbohidrați când necesarul de insulină este negativ'
      ,bg: 'Необходими въглехидрати, ако няма инсулин'
      ,hr: 'Potrebno UH ako je ukupna vrijednost inzulina negativna'
      ,sv: 'Nödvändig kolhydratmängd för angiven insulinmängd'
      ,it: 'Carboidrati necessari se l\'insulina totale è un valore negativo'
      ,dk: 'Kulhydrater er nødvendige når total insulin mængde er negativ'
      ,fi: 'Hiilihydraattitarve, jos yhteenlaskettu insuliini on negatiivinen'
      ,nb: 'Karbohydrater er nødvendige når total insulinmengde er negativ'
      }
    ,'Basal rate' : {
      cs: 'Bazál'
      ,de: 'Basalrate'
      ,es: 'Tasa basal'
      ,fr: 'Taux basal'
      ,pt: 'Taxa basal'
      ,ro: 'Rata bazală'
      ,bg: 'Базален инсулин'
      ,hr: 'Bazal'
      ,sv: 'Basaldos'
      ,it: 'Velocità basale'
      ,dk: 'Basal rate'
      ,fi: 'Perusannos'
      ,nb: 'Basal'
      }
    ,'60 minutes earlier' : {
      cs: '60 min předem'
      ,de: '60 Min. früher'
      ,es: '60 min antes'
      ,fr: '60 min avant'
      ,pt: '60 min antes'
      ,sv: '60 min tidigare'
      ,ro: 'acum 60 min'
      ,bg: 'Преди 60 минути'
      ,hr: 'Prije 60 minuta'
      ,it: '60 minuti prima'
      ,dk: '60 min tidligere'
      ,fi: '60 minuuttia aiemmin'
      ,nb: '60 min tidligere'
      }
    ,'45 minutes earlier' : {
      cs: '45 min předem'
      ,de: '45 Min. früher'
      ,es: '45 min antes'
      ,fr: '45 min avant'
      ,pt: '45 min antes'
      ,sv: '45 min tidigare'
      ,ro: 'acum 45 min'
      ,bg: 'Преди 45 минути'
      ,hr: 'Prije 45 minuta'
      ,it: '45 minuti prima'
      ,dk: '45 min tidligere'
      ,fi: '45 minuuttia aiemmin'
      ,nb: '45 min tidligere'
      }
    ,'30 minutes earlier' : {
      cs: '30 min předem'
      ,de: '30 Min früher'
      ,es: '30 min antes'
      ,fr: '30 min avant'
      ,pt: '30 min antes'
      ,sv: '30 min tidigare'
      ,ro: 'acum 30 min'
      ,bg: 'Преди 30 минути'
      ,hr: 'Prije 30 minuta'
      ,it: '30 minuti prima'
      ,dk: '30 min tidigere'
      ,fi: '30 minuuttia aiemmin'
      ,nb: '30 min tidigere'
      }
    ,'20 minutes earlier' : {
      cs: '20 min předem'
      ,de: '20 Min. früher'
      ,es: '20 min antes'
      ,fr: '20 min avant'
      ,pt: '20 min antes'
      ,sv: '20 min tidigare'
      ,ro: 'acum 20 min'
      ,bg: 'Преди 20 минути'
      ,hr: 'Prije 20 minuta'
      ,it: '20 minuti prima'
      ,dk: '20 min tidligere'
      ,fi: '20 minuuttia aiemmin'
      ,nb: '20 min tidligere'
      }
    ,'15 minutes earlier' : {
      cs: '15 min předem'
      ,de: '15 Min. früher'
      ,es: '15 min antes'
      ,fr: '15 min avant'
      ,pt: '15 min antes'
      ,sv: '15 min tidigare'
      ,ro: 'acum 15 min'
      ,bg: 'Преди 15 минути'
      ,hr: 'Prije 15 minuta'
      ,it: '15 minuti prima'
      ,dk: '15 min tidligere'
      ,fi: '15 minuuttia aiemmin'
      ,nb: '15 min tidligere'
      }
    ,'Time in minutes' : {
      cs: 'Čas v minutách'
      ,de: 'Zeit in Minuten'
      ,es: 'Tiempo en minutos'
      ,fr: 'Durée en minutes'
      ,pt: 'Tempo em minutos'
      ,sv: 'Tid i minuter'
      ,ro: 'Timp în minute'
      ,bg: 'Времето в минути'
      ,hr: 'Vrijeme u minutama'
      ,it: 'Tempo in minuti'
      ,dk: 'Tid i minutter'
      ,fi: 'Aika minuuteissa'
      ,nb: 'Tid i minutter'
      ,he: 'זמן בדקות'
      }
    ,'15 minutes later' : {
      cs: '15 min po'
      ,de: '15 Min. später'
      ,es: '15 min más tarde'
      ,fr: '15 min après'
      ,pt: '15 min depois'      
      ,ro: 'după 15 min'
      ,bg: 'След 15 минути'
      ,hr: '15 minuta kasnije'
      ,sv: '15 min senare'
      ,it: '15 minuti più tardi'
      ,dk: '15 min senere'
      ,fi: '15 minuuttia myöhemmin'
      ,nb: '15 min senere'
      ,he: 'רבע שעה מאוחר יותר'
      }
    ,'20 minutes later' : {
      cs: '20 min po'
      ,de: '20 Min. später'
      ,es: '20 min más tarde'
      ,fr: '20 min après'
      ,pt: '20 min depois'
      ,ro: 'după 20 min'
      ,bg: 'След 20 минути'
      ,hr: '20 minuta kasnije'
      ,sv: '20 min senare'
      ,it: '20 minuti più tardi'
      ,dk: '20 min senere'
      ,fi: '20 minuuttia myöhemmin'
      ,nb: '20 min senere'
      ,he: 'עשרים דקות מאוחר יותר'
      }
    ,'30 minutes later' : {
      cs: '30 min po'
      ,de: '30 Min. später'
      ,es: '30 min más tarde'
      ,fr: '30 min après'
      ,pt: '30 min depois'
      ,ro: 'după 30 min'
      ,bg: 'След 30 минути'
      ,hr: '30 minuta kasnije'
      ,sv: '30 min senare'
      ,it: '30 minuti più tardi'
      ,dk: '30 min senere'
      ,fi: '30 minuuttia myöhemmin'
      ,nb: '30 min senere'
      ,he: 'חצי שעה מאוחר יותר'
      }
    ,'45 minutes later' : {
      cs: '45 min po'
      ,de: '45 Min. später'
      ,es: '45 min más tarde'
      ,fr: '45 min après'
      ,pt: '45 min depois'
      ,ro: 'după 45 min'
      ,bg: 'След 45 минути'
      ,hr: '45 minuta kasnije'
      ,sv: '45 min senare'
      ,it: '45 minuti più tardi'
      ,dk: '45 min senere'
      ,fi: '45 minuuttia myöhemmin'
      ,nb: '45 min senere'
      ,he: 'שלושת רבעי שעה מאוחר יותר'
      }
    ,'60 minutes later' : {
      cs: '60 min po'
      ,de: '60 Min. später'
      ,es: '60 min más tarde'
      ,fr: '60 min après'
      ,pt: '60 min depois'
      ,ro: 'după 60 min'
      ,bg: 'След 60 минути'
      ,hr: '60 minuta kasnije'
      ,sv: '60 min senare'
      ,it: '60 minuti più tardi'
      ,dk: '60 min senere'
      ,fi: '60 minuuttia myöhemmin'
      ,nb: '60 min senere'
      ,he: 'שעה מאוחר יותר'
      }
    ,'Additional Notes, Comments' : {
      cs: 'Dalši poznámky, komentáře'
      ,de: 'Ergänzende Hinweise / Kommentare'
      ,es: 'Notas adicionales, Comentarios'
      ,fr: 'Notes additionnelles, commentaires'
      ,pt: 'Notas adicionais e comentários'
      ,ro: 'Note adiționale, comentarii'
      ,bg: 'Допълнителни бележки, коментари'
      ,hr: 'Dodatne bilješke, komentari'
      ,sv: 'Notering, övrigt'
      ,it: 'Note aggiuntive, commenti'
      ,dk: 'Ekstra noter, kommentarer'
      ,fi: 'Lisähuomiot, kommentit'
      ,nb: 'Ekstra notater, kommentarer'
      ,he: 'הערות נוספות'
      }
    ,'RETRO MODE' : {
      cs: 'V MINULOSTI'
      ,de: 'RETRO MODUS'
      ,es: 'Modo Retrospectivo'
      ,fr: 'MODE RETROSPECTIF'
      ,pt: 'Modo Retrospectivo'
      ,sv: 'Retroläge'
      ,ro: 'MOD RETROSPECTIV'
      ,bg: 'МИНАЛО ВРЕМЕ'
      ,hr: 'Retrospektivni način'
      ,it: 'Modalità retrospettiva'
      ,dk: 'Retro mode'
      ,fi: 'VANHENTUNEET TIEDOT'
      ,nb: 'Retro mode'
      }
    ,'Now' : {
      cs: 'Nyní'
      ,de: 'Jetzt'
      ,es: 'Ahora'
      ,fr: 'Maintenant'
      ,pt: 'Agora'
      ,sv: 'Nu'
      ,ro: 'Acum'
      ,bg: 'Сега'
      ,hr: 'Sad'
      ,it: 'Ora'
      ,dk: 'Nu'
      ,fi: 'Nyt'
      ,nb: 'Nå'
      ,he: 'עכשיו'
      }
    ,'Other' : {
      cs: 'Jiný'
      ,de: 'Weitere'
      ,es: 'Otro'
      ,fr: 'Autre'
      ,pt: 'Outro'
      ,sv: 'Övrigt'
      ,ro: 'Altul'
      ,bg: 'Друго'
      ,hr: 'Drugo'
      ,it: 'Altro'
      ,dk: 'Øvrige'
      ,fi: 'Muu'
      ,nb: 'Annet'
      ,he: 'אחר'
      }
    ,'Submit Form' : {
      cs: 'Odeslat formulář'
      ,de: 'Eingabe senden'
      ,es: 'Enviar formulario'
      ,fr: 'Formulaire de soumission'
      ,pt: 'Enviar formulário'
      ,sv: 'Överför händelse'
      ,ro: 'Trimite formularul'
      ,bg: 'Въвеждане на данните'
      ,hr: 'Predaj obrazac'
      ,it: 'Invia il modulo'
      ,dk: 'Gem hændelsen'
      ,fi: 'Lähetä tiedot'
      ,nb: 'Lagre'
      ,he: 'שמור'
      }
    ,'Profile Editor' : {
      cs: 'Editor profilu'
      ,de: 'Profil-Einstellungen'
      ,es: 'Editor de perfil'
      ,fr: 'Editeur de profil'
      ,pt: 'Editor de perfil'
      ,sv: 'Editera profil'
      ,ro: 'Editare profil'
      ,bg: 'Редактор на профила'
      ,hr: 'Editor profila'
      ,it: 'NS - Dati personali'
      ,dk: 'Profil editor'
      ,fi: 'Profiilin muokkaus'
      ,nb: 'Profileditor'
      ,he: 'ערוך פרופיל'
      }
    ,'Reports' : {
      cs: 'Výkazy'
      ,de: 'Berichte'
      ,es: 'Herramienta de informes'
      ,fr: 'Outil de rapport'
      ,pt: 'Relatórios'
      ,sv: 'Rapportverktyg'
      ,ro: 'Instrument de rapoarte'
      ,bg: 'Статистика'
      ,hr: 'Alat za prijavu'
      ,it: 'NS - Statistiche'
      ,dk: 'Rapporteringsværktøj'
      ,fi: 'Raportointityökalu'
      ,nb: 'Rapporteringsverktøy'
      }
    ,'Add food from your database' : {
      cs: 'Přidat jidlo z Vaší databáze'
      ,de: 'Ergänzt durch deine Datenbank'
      ,es: 'Añadir alimento a su base de datos'
      ,fr: 'Ajouter aliment de votre base de données'
      ,pt: 'Incluir alimento do seu banco de dados'
      ,ro: 'Adaugă alimente din baza de date'
      ,bg: 'Добави храна от твоята база с данни'
      ,hr: 'Dodajte hranu iz svoje baze podataka'
      ,sv: 'Lägg till livsmedel från databas'
      ,it: 'Aggiungere cibo al database'
      ,dk: 'Tilføj mad fra din database'
      ,fi: 'Lisää ruoka tietokannasta'
      ,nb: 'Legg til mat fra din database'
      }
    ,'Reload database' : {
      cs: 'Znovu nahraj databázi'
      ,de: 'Datenbank nachladen'
      ,es: 'Recargar base de datos'
      ,fr: 'Recharger la base de données'
      ,pt: 'Recarregar banco de dados'
      ,ro: 'Reîncarcă baza de date'
      ,bg: 'Презареди базата с данни'
      ,hr: 'Ponovo učitajte bazu podataka'
      ,sv: 'Ladda om databas'
      ,it: 'Ricarica database'
      ,dk: 'Genindlæs databasen'
      ,fi: 'Lataa tietokanta uudelleen'
      ,nb: 'Last inn databasen på nytt'
      }
    ,'Add' : {
      cs: 'Přidej'
      ,de: 'Hinzufügen'
      ,es: 'Añadir'
      ,fr: 'Ajouter'
      ,pt: 'Adicionar'
      ,ro: 'Adaugă'
      ,bg: 'Добави'
      ,hr: 'Dodaj'
      ,sv: 'Lägg till'
      ,it: 'Aggiungere'
      ,dk: 'Tilføj'
      ,fi: 'Lisää'
      ,nb: 'Legg til'
      }
    ,'Unauthorized' : {
      cs: 'Neautorizováno'
      ,de: 'Unbestätigt'
      ,es: 'No autorizado'
      ,fr: 'Non autorisé'
      ,pt: 'Não autorizado'
      ,sv: 'Ej behörig'
      ,ro: 'Neautorizat'
      ,bg: 'Неразрешен достъп'
      ,hr: 'Neautorizirano'
      ,it: 'Non Autorizzato'
      ,dk: 'Uautoriseret'
      ,fi: 'Kielletty'
      ,nb: 'Uautorisert'
      }
    ,'Entering record failed' : {
      cs: 'Vložení záznamu selhalo'
      ,de: 'Eingabe Datensatz fehlerhaft'
      ,es: 'Entrada de registro fallida'
      ,fr: 'Entrée enregistrement a échoué'
      ,pt: 'Entrada de registro falhou'
      ,ro: 'Înregistrare eșuată'
      ,bg: 'Въвеждане на записа не се осъществи'
      ,hr: 'Neuspjeli unos podataka'
      ,sv: 'Lägga till post nekas'
      ,it: 'Voce del Registro fallita'
      ,dk: 'Tilføjelse af post fejlede'
      ,fi: 'Tiedon tallentaminen epäonnistui'
      ,nb: 'Lagring feilet'
      }
    ,'Device authenticated' : {
      cs: 'Zařízení ověřeno'
      ,de: 'Gerät authentifiziert'
      ,es: 'Dispositivo autenticado'
      ,fr: 'Appareil authentifié'
      ,pt: 'Dispositivo autenticado'
      ,sv: 'Enhet autentiserad'
      ,ro: 'Dispozitiv autentificat'
      ,bg: 'Устройстово е разпознато'
      ,hr: 'Uređaj autenticiran'
      ,it: 'Dispositivo autenticato'
      ,dk: 'Enhed godkendt'
      ,fi: 'Laite autentikoitu'
      ,nb: 'Enhet godkjent'
      }
    ,'Device not authenticated' : {
      cs: 'Zařízení není ověřeno'
      ,de: 'Gerät nicht authentifiziert'
      ,es: 'Dispositivo no autenticado'
      ,fr: 'Appareil non authentifié'
      ,pt: 'Dispositivo não autenticado'
      ,sv: 'Enhet EJ autentiserad'
      ,ro: 'Dispozitiv neautentificat'
      ,bg: 'Устройсройството не е разпознато'
      ,hr: 'Uređaj nije autenticiran'
      ,it: 'Dispositivo non autenticato'
      ,dk: 'Enhed ikke godkendt'
      ,fi: 'Laite ei ole autentikoitu'
      ,nb: 'Enhet ikke godkjent'
      }
    ,'Authentication status' : {
      cs: 'Stav ověření'
      ,de: 'Authentifications Status'
      ,es: 'Estado de autenticación'
      ,fr: 'Status de l\'authentification'
      ,pt: 'Status de autenticação'
      ,ro: 'Starea autentificării'
      ,bg:  'Статус на удостоверяване'
      ,hr: 'Status autentikacije'
      ,sv: 'Autentiseringsstatus'
      ,it: 'Stato di autenticazione'
      ,dk: 'Autentifikationsstatus'
      ,fi: 'Autentikoinnin tila'
      ,nb: 'Autentiseringsstatus'
      }
    ,'Authenticate' : {
      cs: 'Ověřit'
      ,de: 'Authentifizieren'
      ,es: 'Autenticar'
      ,fr: 'Authentifier'
      ,pt: 'Autenticar'
      ,sv: 'Autentiserar'
      ,ro: 'Autentificare'
      ,bg: 'Удостоверяване'
      ,hr: 'Autenticirati'
      ,it: 'Autenticare'
      ,dk: 'Godkende'
      ,fi: 'Autentikoi'
      ,nb: 'Autentiser'
      }
    ,'Remove' : {
      cs: 'Vymazat'
      ,de: 'Entfernen'
      ,es: 'Eliminar'
      ,fr: 'Retirer'
      ,pt: 'Remover'
      ,ro: 'Șterge'
      ,bg: 'Премахни'
      ,hr: 'Ukloniti'
      ,sv: 'Ta bort'
      ,it: 'Rimuovere'
      ,dk: 'Fjern'
      ,fi: 'Poista'
      ,nb: 'Slett'
      }
    ,'Your device is not authenticated yet' : {
      cs: 'Toto zařízení nebylo dosud ověřeno'
      ,de: 'Dein Gerät ist derzeit nicht authentifiziert'
      ,es: 'Su dispositivo no ha sido autenticado todavía'
      ,fr: 'Votre appareil n\'est pas encore authentifié'
      ,pt: 'Seu dispositivo ainda não foi autenticado'
      ,ro: 'Dispozitivul nu este autentificat încă'
      ,bg: 'Вашето устройство все още не е удостоверено'
      ,hr: 'Vaš uređaj još nije autenticiran'
      ,sv: 'Din enhet är ej autentiserad'
      ,it: 'Il tuo dispositivo non è ancora stato autenticato'
      ,dk: 'Din enhed er ikke godkendt endnu'
      ,fi: 'Laitettasi ei ole vielä autentikoitu'
      ,nb: 'Din enhet er ikke godkjent enda'
      }
    ,'Sensor' : {
      cs: 'Senzor'
      ,de: 'Sensor'
      ,es: 'Sensor'
      ,fr: 'Senseur'
      ,pt: 'Sensor'
      ,sv: 'Sensor'
      ,ro: 'Senzor'
      ,bg: 'Сензор'
      ,hr: 'Senzor'
      ,it: 'Sensore'
      ,dk: 'Sensor'
      ,fi: 'Sensori'
      ,nb: 'Sensor'
      ,he: 'חיישן סוכר'
      }
    ,'Finger' : {
      cs: 'Glukoměr'
      ,de: 'Finger'
      ,es: 'Dedo'
      ,fr: 'Doigt'
      ,pt: 'Ponta de dedo'
      ,sv: 'Finger'
      ,ro: 'Deget'
      ,bg: 'От пръстта'
      ,hr: 'Prst'
      ,it: 'Dito'
      ,dk: 'Finger'
      ,fi: 'Sormi'
      ,nb: 'Finger'
      ,he: 'אצבע'
      }
    ,'Manual' : {
      cs: 'Ručně'
      ,de: 'Händisch'
      ,es: 'Manual'
      ,fr: 'Manuel'
      ,pt: 'Manual'
      ,sv: 'Manuell'
      ,ro: 'Manual'
      ,bg: 'Ръчно'
      ,hr: 'Ručno'
      ,it: 'Manuale'
      ,dk: 'Manuel'
      ,fi: 'Manuaalinen'
      ,nb: 'Manuell'
      ,he: 'ידני'
      }
    ,'Scale' : {
      cs: 'Měřítko'
      ,de: 'Messen'
      ,es: 'Escala'
      ,fr: 'Echelle'
      ,pt: 'Escala'
      ,ro: 'Scală'
      ,bg: 'Скала'
      ,hr: 'Skala'
      ,sv: 'Skala'
      ,it: 'Scala'
      ,dk: 'Skala'
      ,fi: 'Skaala'
      ,nb: 'Skala'
      }
    ,'Linear' : {
      cs: 'lineární'
      ,de: 'Linear'
      ,es: 'Lineal'
      ,fr: 'Linéaire'
      ,pt: 'Linear'
      ,sv: 'Linjär'
      ,ro: 'Liniar'
      ,bg: 'Линеен'
      ,hr: 'Linearno'
      ,it: 'Lineare'
      ,dk: 'Lineær'
      ,fi: 'Lineaarinen'
      ,nb: 'Lineær'
      ,he: 'לינארי'
      }
    ,'Logarithmic' : {
      cs: 'logaritmické'
      ,de: 'Logarithmisch'
      ,es: 'Logarítmica'
      ,fr: 'Logarithmique'
      ,pt: 'Logarítmica'
      ,sv: 'Logaritmisk'
      ,ro: 'Logaritmic'
      ,bg: 'Логоритмичен'
      ,hr: 'Logaritamski'
      ,it: 'Logaritmica'
      ,dk: 'Logaritmisk'
      ,fi: 'Logaritminen'
      ,nb: 'Logaritmisk'
      ,he: 'לוגריתמי'
      }
    ,'Logarithmic (Dynamic)' : { 
      it: 'Logaritmica (Dinamica)'
      ,ro: 'Logaritmic (Dinamic)'
      }
    ,'Silence for 30 minutes' : {
      cs: 'Ztlumit na 30 minut'
      ,de: 'Ausschalten für 30 Minuten'
      ,es: 'Silenciar durante 30 minutos'
      ,fr: 'Silence pendant 30 minutes'
      ,pt: 'Silenciar por 30 minutos'
      ,ro: 'Ignoră pentru 30 minute'
      ,bg: 'Заглуши за 30 минути'
      ,hr: 'Tišina 30 minuta'
      ,sv: 'Tyst i 30 min'
      ,it: 'Silenzio per 30 minuti'
      ,dk: 'Stilhed i 30 min'
      ,fi: 'Hiljennä 30 minuutiksi'
      ,nb: 'Stille i 30 min'
      }
    ,'Silence for 60 minutes' : {
      cs: 'Ztlumit na 60 minut'
      ,de: 'Ausschalten für 60 Minuten'
      ,es: 'Silenciar durante 60 minutos'
      ,fr: 'Silence pendant 60 minutes'
      ,pt: 'Silenciar por 60 minutos'
      ,ro: 'Ignoră pentru 60 minute'
      ,bg: 'Заглуши за 60 минути'
      ,hr: 'Tišina 60 minuta'
      ,sv: 'Tyst i 60 min'
      ,it: 'Silenzio per 60 minuti'
      ,dk: 'Stilhed i 60 min'
      ,fi: 'Hiljennä tunniksi'
      ,nb: 'Stille i 60 min'
      }
    ,'Silence for 90 minutes' : {
      cs: 'Ztlumit na 90 minut'
      ,de: 'Ausschalten für 90 Minuten'
      ,es: 'Silenciar durante 90 minutos'
      ,fr: 'Silence pendant 90 minutes'
      ,pt: 'Silenciar por 90 minutos'
      ,ro: 'Ignoră pentru 90 minure'
      ,bg: 'Заглуши за 90 минути'
      ,hr: 'Tišina 90 minuta'
      ,sv: 'Tyst i 90 min'
      ,it: 'Silenzio per 90 minuti'
      ,dk: 'Stilhed i 90 min'
      ,fi: 'Hiljennä 1.5 tunniksi'
      ,nb: 'Stille i 90 min'
      }
    ,'Silence for 120 minutes' : {
      cs: 'Ztlumit na 120 minut'
      ,de: 'Ausschalten für 120 Minuten'
      ,es: 'Silenciar durante 120 minutos'
      ,fr: 'Silence pendant 120 minutes'
      ,pt: 'Silenciar por 120 minutos'
      ,ro: 'Ignoră pentru 120 minute'
      ,bg: 'Заглуши за 120 минути'
      ,hr: 'Tišina 120 minuta'
      ,sv: 'Tyst i 120 min'
      ,it: 'Silenzio per 120 minuti'
      ,dk: 'Stilhed i 120 min'
      ,fi: 'Hiljennä 2 tunniksi'
      ,nb: 'Stile i 120 min'
      }
    ,'3HR' : {
      cs: '3hod'
      ,de: '3h'
      ,es: '3h'
      ,fr: '3hr'
      ,pt: '3h'
      ,sv: '3tim'
      ,ro: '3h'
      ,bg: '3часа'
      ,hr: '3h'
      ,it: '3ORE'
      ,dk: '3tim'
      ,fi: '3h'
      ,nb: '3t'
      }
    ,'6HR' : {
      cs: '6hod'
      ,de: '6h'
      ,es: '6h'
      ,fr: '6hr'
      ,pt: '6h'
      ,sv: '6tim'
      ,ro: '6h'
      ,bg: '6часа'
      ,hr: '6h'
      ,it: '6ORE'
      ,dk: '6tim'
      ,fi: '6h'
      ,nb: '6t'
      }
    ,'12HR' : {
      cs: '12hod'
      ,de: '12h'
      ,es: '12h'
      ,fr: '12hr'
      ,pt: '12h'
      ,sv: '12tim'
      ,ro: '12h'
      ,bg: '12часа'
      ,hr: '12h'
      ,it: '12ORE'
      ,dk: '12tim'
      ,fi: '12h'
      ,nb: '12t'
      }
    ,'24HR' : {
      cs: '24hod'
      ,de: '24h'
      ,es: '24h'
      ,fr: '24hr'
      ,pt: '24h'
      ,sv: '24tim'
      ,ro: '24h'
      ,bg: '24часа'
      ,hr: '24h'
      ,it: '24ORE'
      ,dk: '24tim'
      ,fi: '24h'
      ,nb: '24t'
      }
    ,'Settings' : {
      cs: 'Nastavení'
      ,de: 'Einstellungen'
      ,es: 'Ajustes'
      ,fr: 'Paramètres'
      ,pt: 'Ajustes'
      ,sv: 'Inställningar'
      ,ro: 'Setări'
      ,bg: 'Настройки'
      ,hr: 'Postavke'
      ,it: 'Impostazioni'
      ,dk: 'Opsætning'
      ,fi: 'Asetukset'
      ,nb: 'Innstillinger'
      }
    ,'Units' : {
      cs: 'Jednotky'
      ,de: 'Einheiten'
      ,es: 'Unidades'
      ,fr: 'Unités'
      ,pt: 'Unidades'
      ,ro: 'Unități'
      ,bg: 'Единици'
      ,hr: 'Jedinice'
      ,sv: 'Enheter'
      ,it: 'Unità'
      ,dk: 'Enheder'
      ,fi: 'Yksikköä'
      ,nb: 'Enheter'
      }
    ,'Date format' : {
      cs: 'Formát datumu'
      ,de: 'Datum Format'
      ,es: 'Formato de fecha'
      ,fr: 'Format Date'
      ,pt: 'Formato de data'
      ,sv: 'Datumformat'
      ,ro: 'Formatul datei'
      ,bg: 'Формат на датата'
      ,hr: 'Format datuma'
      ,it: 'Formato data'
      ,dk: 'dato format'
      ,fi: 'Aikamuoto'
      ,nb: 'Datoformat'
      }
    ,'12 hours' : {
      cs: '12 hodin'
      ,de: '12 Stunden'
      ,es: '12 horas'
      ,fr: '12hr'
      ,pt: '12 horas'
      ,sv: '12-timmars'
      ,ro: '12 ore'
      ,bg: '12 часа'
      ,hr: '12 sati'
      ,it: '12 ore'
      ,dk: '12 timer'
      ,fi: '12 tuntia'
      ,nb: '12 timer'
      }
    ,'24 hours' : {
      cs: '24 hodin'
      ,de: '24 Stunden'
      ,es: '24 horas'
      ,fr: '24hr'
      ,pt: '24 horas'
      ,sv: '24-timmars'
      ,ro: '24 ore'
      ,bg: '24 часа'
      ,hr: '24 sata'
      ,it: '24 ore'
      ,dk: '24 timer'
      ,fi: '24 tuntia'
      ,nb: '24 timer'
      }
    ,'Log a Treatment' : {
      cs: 'Záznam ošetření'
      ,de: 'Dateneingabe'
      ,es: 'Apuntar un tratamiento'
      ,fr: 'Entrer un traitement'
      ,pt: 'Entre um procedimento'
      ,ro: 'Înregistrează un eveniment'
      ,bg: 'Въвеждане на събитие'
      ,hr: 'Evidencija tretmana'
      ,sv: 'Ange händelse'
      ,it: 'Somministrazione'
      ,dk: 'Log en hændelse'
      ,fi: 'Tallenna tapahtuma'
      ,nb: 'Logg en hendelse'
      ,he: 'הזן רשומה'
      }
    ,'BG Check' : {
      cs: 'Kontrola glykémie'
      ,de: 'Blutglukose-Prüfung'
      ,es: 'Control de glucemia'
      ,fr: 'Contrôle glycémie'
      ,pt: 'Medida de glicemia'
      ,sv: 'Blodsockerkontroll'
      ,ro: 'Verificare glicemie'
      ,bg: 'Проверка на КЗ'
      ,hr: 'Kontrola GUK-a'
      ,it: 'Controllo Glicemia'
      ,dk: 'BS kontrol'
      ,fi: 'Verensokerin tarkistus'
      ,nb: 'Blodsukkerkontroll'
      ,he: 'בדיקת סוכר'
      }
    ,'Meal Bolus' : {
      cs: 'Bolus na jídlo'
      ,de: 'Mahlzeiten Bolus'
      ,es: 'Bolo de comida'
      ,fr: 'Bolus repas'
      ,pt: 'Bolus de refeição'
      ,ro: 'Bolus masă'
      ,bg: 'Болус-основно хранене'
      ,hr: 'Bolus za obrok'
      ,sv: 'Måltidsbolus'
      ,it: 'Bolo Pasto'
      ,dk: 'Måltidsbolus'
      ,fi: 'Ruokailubolus'
      ,nb: 'Måltidsbolus'
      ,he: 'בולוס ארוחה'
      }
    ,'Snack Bolus' : {
      cs: 'Bolus na svačinu'
      ,de: 'Snack Bolus'
      ,es: 'Bolo de aperitivo'
      ,fr: 'Bolus friandise'
      ,pt: 'Bolus de lanche'
      ,sv: 'Mellanmålsbolus'
      ,ro: 'Bolus gustare'
      ,bg: 'Болус-лека закуска'
      ,hr: 'Bolus za užinu'
      ,it: 'Bolo Merenda'
      ,dk: 'Mellemmåltidsbolus'
      ,fi: 'Ruokakorjaus'
      ,nb: 'Mellommåltidsbolus'
      ,he: 'בולוס ארוחת ביניים'
      }
    ,'Correction Bolus' : {
      cs: 'Bolus na glykémii'
      ,de: 'Korrektur Bolus'
      ,es: 'Bolo corrector'
      ,fr: 'Bolus de correction'
      ,pt: 'Bolus de correção'
      ,ro: 'Bolus corecție'
      ,bg: 'Болус корекция'
      ,hr: 'Korekcija'
      ,sv: 'Korrektionsbolus'
      ,it: 'Bolo Correttivo'
      ,dk: 'Korrektionsbolus'
      ,fi: 'Korjausbolus'
      ,nb: 'Korreksjonsbolus'
      ,he: 'בולוס תיקון'
      }
    ,'Carb Correction' : {
      cs: 'Přídavek sacharidů'
      ,de: 'Kohlenhydrate Korrektur'
      ,es: 'Hidratos de carbono de corrección'
      ,fr: 'Correction glucide'
      ,pt: 'Correção com carboidrato'
      ,ro: 'Corecție de carbohidrați'
      ,bg: 'Корекция чрез въглехидрати'
      ,hr: 'Bolus za hranu'
      ,sv: 'Kolhydratskorrektion'
      ,it: 'Carboidrati Correttivi'
      ,dk: 'Kulhydratskorrektion'
      ,fi: 'Hiilihydraattikorjaus'
      ,nb: 'Karbohydratkorrigering'
      ,he: 'בולוס פחמימות'
      }
    ,'Note' : {
      cs: 'Poznámka'
      ,de: 'Bemerkungen'
      ,es: 'Nota'
      ,fr: 'Note'
      ,pt: 'Nota'
      ,ro: 'Notă'
      ,sv: 'Notering'
      ,bg: 'Бележка'
      ,hr: 'Bilješka'
      ,it: 'Nota'
      ,dk: 'Note'
      ,fi: 'Merkintä'
      ,nb: 'Notat'
      ,he: 'הערה'
      }
    ,'Question' : {
      cs: 'Otázka'
      ,de: 'Frage'
      ,es: 'Pregunta'
      ,fr: 'Question'
      ,pt: 'Pergunta'
      ,ro: 'Întrebare'
      ,sv: 'Fråga'
      ,bg: 'Въпрос'
      ,hr: 'Pitanje'
      ,it: 'Domanda'
      ,dk: 'Spørgsmål'
      ,fi: 'Kysymys'
      ,nb: 'Spørsmål'
      ,he: 'שאלה'
     }
    ,'Exercise' : {
      cs: 'Cvičení'
      ,de: 'Bewegung'
      ,es: 'Ejercicio'
      ,fr: 'Exercice'
      ,pt: 'Exercício'
      ,sv: 'Aktivitet'
      ,ro: 'Activitate fizică'
      ,bg: 'Спорт'
      ,hr: 'Aktivnost'
      ,it: 'Esercizio Fisico'
      ,dk: 'Træning'
      ,fi: 'Fyysinen harjoitus'
      ,nb: 'Trening'
      ,he: 'פעילות גופנית'
      }
    ,'Pump Site Change' : {
      cs: 'Výměna setu'
      ,de: 'Pumpen-Katheter Wechsel'
      ,es: 'Cambio de catéter'
      ,fr: 'Changement de site pompe'
      ,pt: 'Troca de catéter'
      ,sv: 'Pump/nålbyte'
      ,ro: 'Schimbare loc pompă'
      ,bg: 'Смяна на сет'
      ,hr: 'Promjena seta'
      ,it: '(CAGE) Cambio Ago'
      ,dk: 'Skift insulin infusionssted'
      ,fi: 'Pumpun kanyylin vaihto'
      ,nb: 'Pumpebytte'
      ,he: 'החלפת צינורית משאבה'
      }
    ,'Sensor Start' : {
      cs: 'Spuštění sensoru'
      ,de: 'Sensor Start'
      ,es: 'Inicio de sensor'
      ,fr: 'Démarrage senseur'
      ,pt: 'Início de sensor'
      ,sv: 'Sensorstart'
      ,ro: 'Start senzor'
      ,bg: 'Стартиране на сензор'
      ,hr: 'Start senzora'
      ,it: 'Avvio sensore'
      ,dk: 'Sensorstart'
      ,fi: 'Sensorin aloitus'
      ,nb: 'Sensorstart'
      ,he: 'אתחול חיישן סוכר'
      }
    ,'Sensor Change' : {
      cs: 'Výměna sensoru'
      ,de: 'Sensor Wechsel'
      ,es: 'Cambio de sensor'
      ,fr: 'Changement senseur'
      ,pt: 'Troca de sensor'
      ,sv: 'Sensorbyte'
      ,ro: 'Schimbare senzor'
      ,bg: 'Смяна на сензор'
      ,hr: 'Promjena senzora'
      ,it: 'Cambio sensore'
      ,dk: 'Sensor ombytning'
      ,fi: 'Sensorin vaihto'
      ,nb: 'Sensorbytte'
      ,he: 'החלפת חיישן סוכר'
      }
    ,'Dexcom Sensor Start' : {
      cs: 'Spuštění sensoru'
      ,de: 'Dexcom Sensor Start'
      ,es: 'Inicio de sensor Dexcom'
      ,fr: 'Démarrage senseur Dexcom'
      ,pt: 'Início de sensor'
      ,sv: 'Dexcom sensorstart'
      ,ro: 'Pornire senzor Dexcom'
      ,bg: 'Стартиране на Декском сензор'
      ,hr: 'Start Dexcom senzora'
      ,it: 'Avvio sensore Dexcom'
      ,dk: 'Dexcom sensor start'
      ,fi: 'Sensorin aloitus'
      ,nb: 'Dexcom sensor start'
      ,he: 'אתחול חיישן סוכר של דקסקום'
      }
    ,'Dexcom Sensor Change' : {
      cs: 'Výměna sensoru'
      ,de: 'Dexcom Sensor Wechsel'
      ,es: 'Cambio de sensor Dexcom'
      ,fr: 'Changement senseur Dexcom'
      ,pt: 'Troca de sensor'
      ,sv: 'Dexcom sensorbyte'
      ,ro: 'Schimbare senzor Dexcom'
      ,bg: 'Смяна на Декском сензор'
      ,hr: 'Promjena Dexcom senzora'
      ,it: 'Cambio sensore Dexcom'
      ,dk: 'Dexcom sensor ombytning'
      ,fi: 'Sensorin vaihto'
      ,nb: 'Dexcom sensor bytte'
      ,he: 'החלפת חיישן סוכר של דקסקום'
      }
    ,'Insulin Cartridge Change' : {
      cs: 'Výměna inzulínu'
      ,de: 'Insulin Ampullen Wechsel'
      ,es: 'Cambio de reservorio de insulina'
      ,fr: 'Changement cartouche d\'insuline'
      ,pt: 'Troca de reservatório de insulina'
      ,sv: 'Insulinreservoarbyte'
      ,ro: 'Schimbare cartuș insulină'
      ,bg: 'Смяна на резервоар'
      ,hr: 'Promjena spremnika inzulina'
      ,it: 'Cambio cartuccia insulina'
      ,dk: 'Skift insulin beholder'
      ,fi: 'Insuliinisäiliön vaihto'
      ,nb: 'Skifte insulin beholder'
      ,he: 'החלפת מחסנית אינסולין'
      }
    ,'D.A.D. Alert' : {
      cs: 'D.A.D. Alert'
      ,de: 'Diabetes-Hund Alarm'
      ,es: 'Alerta de perro de alerta diabética'
      ,fr: 'Wouf! Wouf! Chien d\'alerte diabète'
      ,pt: 'Alerta de cão sentinela de diabetes'
      ,sv: 'Diabeteshundlarm (Duktig vovve!)'
      ,ro: 'Alertă câine de serviciu'
      ,bg: 'Сигнал от обучено куче'
      ,hr: 'Obavijest dijabetičkog psa'
      ,it: 'Allarme D.A.D.(Diabete Alert Dog)'
      ,dk: 'Vuf Vuf! (Diabeteshundealarm!)'
      ,fi: 'Diabeteskoirahälytys'
      ,nb: 'Diabeteshundalarm'
      ,he: 'ווף! ווף! התראת גשג'
      }
    ,'Glucose Reading' : {
      cs: 'Hodnota glykémie'
      ,de: 'Glukose Messwert'
      ,es: 'Valor de glucemia'
      ,fr: 'Valeur de glycémie'
      ,pt: 'Valor de glicemia'
      ,sv: 'Glukosvärde'
      ,ro: 'Valoare glicemie'
      ,bg: 'Кръвна захар'
      ,hr: 'Vrijednost GUK-a'
      ,it: 'Lettura glicemie'
      ,dk: 'Glukose aflæsning'
      ,fi: 'Verensokeri'
      ,nb: 'Blodsukkermåling'
      ,he: 'מדידת סוכר'
      }
    ,'Measurement Method' : {
      cs: 'Metoda měření'
      ,de: 'Messmethode'
      ,es: 'Método de medida'
      ,fr: 'Méthode de mesure'
      ,pt: 'Método de medida'
      ,sv: 'Mätmetod'
      ,ro: 'Metodă măsurare'
      ,bg: 'Метод на измерване'
      ,hr: 'Metoda mjerenja'
      ,it: 'Metodo di misurazione'
      ,dk: 'Målemetode'
      ,fi: 'Mittaustapa'
      ,nb: 'Målemetode'
      ,he: 'אמצעי מדידה'
      }
    ,'Meter' : {
      cs: 'Glukoměr'
      ,de: 'BZ-Messgerät'
      ,fr: 'Glucomètre'
      ,pt: 'Glicosímetro'
      ,sv: 'Mätare'
      ,ro: 'Glucometru'
      ,es: 'Glucómetro'
      ,bg: 'Глюкомер'
      ,hr: 'Glukometar'
      ,it: 'Glucometro'
      ,dk: 'Glukosemeter'
      ,fi: 'Sokerimittari'
      ,nb: 'Måleapparat'
      ,he: 'מד סוכר'
      }
    ,'Insulin Given' : {
      cs: 'Inzulín'
      ,de: 'Insulingabe'
      ,es: 'Insulina'
      ,fr: 'Insuline donnée'
      ,pt: 'Insulina'
      ,sv: 'Insulindos'
      ,ro: 'Insulină administrată'
      ,bg: 'Инсулин'
      ,hr: 'Količina iznulina'
      ,it: 'Insulina'
      ,dk: 'Insulin dosis'
      ,fi: 'Insuliiniannos'
      ,nb: 'Insulin'
      ,he: 'אינסולין שניתן'
      }
    ,'Amount in grams' : {
      cs: 'Množství v gramech'
      ,de: 'Menge in Gramm'
      ,es: 'Cantidad en gramos'
      ,fr: 'Quantité en grammes'
      ,pt: 'Quantidade em gramas'
      ,sv: 'Antal gram'
      ,ro: 'Cantitate în grame'
      ,bg: 'К-во в грамове'
      ,hr: 'Količina u gramima'
      ,it: 'Quantità in grammi'
      ,dk: 'Antal gram'
      ,fi: 'Määrä grammoissa'
      ,nb: 'Antall gram'
      ,he: 'כמות בגרמים'
      }
    ,'Amount in units' : {
      cs: 'Množství v jednotkách'
      ,de: 'Anzahl in Einheiten'
      ,es: 'Cantidad en unidades'
      ,fr: 'Quantité en unités'
      ,pt: 'Quantidade em unidades'
      ,ro: 'Cantitate în unități'
      ,bg: 'К-во в единици'
      ,hr: 'Količina u jedinicama'
      ,sv: 'Antal enheter'
      ,it: 'Quantità in unità'
      ,dk: 'Antal enheder'
      ,fi: 'Annos yksiköissä'
      ,nb: 'Antall enheter'
      ,he: 'כמות ביחידות'
      }
    ,'View all treatments' : {
      cs: 'Zobraz všechny ošetření'
      ,de: 'Zeige alle Eingaben'
      ,es: 'Visualizar todos los tratamientos'
      ,fr: 'Voir tous les traitements'
      ,pt: 'Visualizar todos os procedimentos'
      ,sv: 'Visa behandlingar'
      ,ro: 'Vezi toate evenimentele'
      ,bg: 'Преглед на всички събития'
      ,hr: 'Prikaži sve tretmane'
      ,it: 'Visualizza tutti le somministrazioni'
      ,dk: 'Vis behandlinger'
      ,fi: 'Katso kaikki hoitotoimenpiteet'
      ,nb: 'Vis behandlinger'
      ,he: 'הצג את כל הטיפולים'
      }
    ,'Enable Alarms' : {
      cs: 'Povolit alarmy'
      ,de: 'Alarm einschalten'
      ,es: 'Activar las alarmas'
      ,fr: 'Activer les alarmes'
      ,pt: 'Ativar alarmes'
      ,sv: 'Aktivera larm'
      ,ro: 'Activează alarmele'
      ,bg: 'Активни аларми'
      ,hr: 'Aktiviraj alarme'
      ,it: 'Attiva Allarme'
      ,dk: 'Aktivere alarmer'
      ,fi: 'Aktivoi hälytykset'
      ,nb: 'Aktiver alarmer'
      ,he: 'הפעל התראות'
      }
    ,'When enabled an alarm may sound.' : {
      cs: 'Při povoleném alarmu zní zvuk'
      ,de: 'Sofern eingeschaltet ertönt ein Alarm'
      ,es: 'Cuando estén activas, una alarma podrá sonar'
      ,fr: 'Si activée, un alarme peut sonner.'
      ,pt: 'Quando ativado, um alarme poderá soar'
      ,ro: 'Când este activ, poate suna o alarmă.'
      ,sv: 'När markerad är ljudlarm aktivt'
      ,bg: 'Когато е активирано, алармата ще има звук'
      ,hr: 'Kad je aktiviran, alarm se može oglasiti'
      ,it: 'Quando si attiva un allarme acustico.'
      ,dk: 'Når aktiveret kan alarm lyde'
      ,fi: 'Aktivointi mahdollistaa äänihälytykset'
      ,nb: 'Når aktivert er alarmer aktive'
      ,he: 'כשמופעל התראות יכולות להישמע.'
      }
    ,'Urgent High Alarm' : {
      cs: 'Urgentní vysoká glykémie'
      ,de: 'Achtung Hoch Alarm'
      ,es: 'Alarma de glucemia alta urgente'
      ,fr: 'Alarme haute urgente'
      ,pt: 'URGENTE: Alarme de glicemia alta'
      ,sv: 'Brådskande högt larmvärde'
      ,ro: 'Alarmă urgentă hiper'
      ,bg: 'Много висока КЗ'
      ,hr: 'Hitni alarm za hiper'
      ,it: 'Urgente:Glicemia Alta'
      ,dk: 'Høj grænse overskredet'
      ,fi: 'Kriittinen korkea'
      ,nb: 'Kritisk høy alarm'
      ,he: 'התראת גבוה דחופה'
      }
    ,'High Alarm' : {
      cs: 'Vysoká glykémie'
      ,de: 'Hoch Alarm'
      ,es: 'Alarma de glucemia alta'
      ,fr: 'Alarme haute'
      ,pt: 'Alarme de glicemia alta'
      ,sv: 'Högt larmvärde'
      ,ro: 'Alarmă hiper'
      ,bg: 'Висока КЗ'
      ,hr: 'Alarm za hiper'
      ,it: 'Glicemia Alta'
      ,dk: 'Høj grænse overskredet'
      ,fi: 'Korkea verensokeri'
      ,nb: 'Høy alarm'
      ,he: 'התראת גבוה'
      }
    ,'Low Alarm' : {
      cs: 'Nízká glykémie'
      ,de: 'Tief Alarm'
      ,es: 'Alarma de glucemia baja'
      ,fr: 'Alarme basse'
      ,pt: 'Alarme de glicemia baixa'
      ,sv: 'Lågt larmvärde'
      ,ro: 'Alarmă hipo'
      ,bg: 'Ниска КЗ'
      ,hr: 'Alarm za hipo'
      ,it: 'Glicemia bassa'
      ,dk: 'Lav grænse overskredet'
      ,fi: 'Matala verensokeri'
      ,nb: 'Lav alarm'
      ,he: 'התראת נמוך'
      }
    ,'Urgent Low Alarm' : {
      cs: 'Urgentní nízká glykémie'
      ,de: 'Achtung Tief Alarm'
      ,es: 'Alarma de glucemia baja urgente'
      ,fr: 'Alarme basse urgente'
      ,pt: 'URGENTE: Alarme de glicemia baixa'
      ,sv: 'Brådskande lågt larmvärde'
      ,ro: 'Alarmă urgentă hipo'
      ,bg: 'Много ниска КЗ'
      ,hr: 'Hitni alarm za hipo'
      ,it: 'Urgente:Glicemia Bassa'
      ,dk: 'Advarsel: Lav'
      ,fi: 'Kriittinen matala'
      ,nb: 'Kritisk lav alarm'
      ,he: 'התראת נמוך דחופה'
      }
    ,'Stale Data: Warn' : {
      cs: 'Zastaralá data'
      ,de: 'Warnung: Daten nicht mehr gültig'
      ,es: 'Datos obsoletos: aviso'
      ,fr: 'Données dépassées: avis'
      ,pt: 'Dados antigos: aviso'
      ,sv: 'Förfluten data: Varning!'
      ,ro: 'Date învechite: alertă'
      ,bg: 'Стари данни'
      ,hr: 'Pažnja: Stari podaci'
      ,it: 'Notifica Dati'
      ,dk: 'Advarsel: Gamle data'
      ,fi: 'Vanhat tiedot: varoitus'
      ,nb: 'Advarsel: Gamle data'
      }
    ,'Stale Data: Urgent' : {
      cs: 'Zastaralá data urgentní'
      ,de: 'Achtung: Daten nicht mehr gültig'
      ,es: 'Datos obsoletos: Urgente'
      ,fr: 'Données dépassées urgentes'
      ,pt: 'Dados antigos: Urgente'
      ,sv: 'Brådskande varning, inaktuell data'
      ,ro: 'Date învechite: urgent'
      ,bg: 'Много стари данни'
      ,hr: 'Hitno: Stari podaci'
      ,it: 'Notifica:Urgente'
      ,dk: 'Advarsel: Gamle data'
      ,fi: 'Vanhat tiedot: hälytys'
      ,nb: 'Advarsel: Veldig gamle data'
      }
    ,'mins' : {
      cs: 'min'
      ,de: 'min'
      ,es: 'min'
      ,fr: 'mins'
      ,pt: 'min'
      ,sv: 'min'
      ,ro: 'min'
      ,bg: 'мин'
      ,hr: 'min'
      ,it: 'min'
      ,dk: 'min'
      ,fi: 'minuuttia'
      ,nb: 'min'
      }
    ,'Night Mode' : {
      cs: 'Noční mód'
      ,de: 'Nacht Modus'
      ,es: 'Modo nocturno'
      ,fr: 'Mode nocturne'
      ,pt: 'Modo noturno'
      ,sv: 'Nattläge'
      ,ro: 'Mod nocturn'
      ,bg: 'Нощен режим'
      ,hr: 'Noćni način'
      ,it: 'Modalità Notte'
      ,dk: 'Nat mode'
      ,fi: 'Yömoodi'
      ,nb: 'Nattmodus'
      }
    ,'When enabled the page will be dimmed from 10pm - 6am.' : {
      cs: 'Když je povoleno, obrazovka je ztlumena 22:00 - 6:00'
      ,de: 'Wenn aktiviert wird die Anzeige von 22 Uhr - 6 Uhr gedimmt'
      ,es: 'Cuando esté activo, el brillo de la página bajará de 10pm a 6am.'
      ,fr: 'Si activé, la page sera assombire de 22:00 à 6:00'
      ,pt: 'Se ativado, a página será escurecida entre 22h e 6h'
      ,sv: 'När aktiverad dimmas sidan mellan 22:00 - 06:00'
      ,ro: 'La activare va scădea iluminarea între 22 și 6'
      ,bg: 'Когато е активирано, страницата ще е затъмнена от 22-06ч'
      ,hr: 'Kad je uključen, stranica će biti zatamnjena od 22-06'
      ,it: 'Attivandola, la pagina sarà oscurata dalle 22:00-06:00.'
      ,dk: 'Når aktiveret vil denne side nedtones fra 22:00-6:00'
      ,fi: 'Aktivoituna sivu himmenee kello 22 ja 06 välillä'
      ,nb: 'Når aktivert vil denne siden nedtones fra 22:00-06:00'
      }
    ,'Enable' : {
      cs: 'Povoleno'
      ,de: 'Eingeschaltet'
      ,es: 'Activar'
      ,fr: 'Activer'
      ,pt: 'Ativar'
      ,sv: 'Aktivera'
      ,ro: 'Activează'
      ,bg: 'Активен'
      ,hr: 'Aktiviraj'
      ,it: 'Permettere'
      ,dk: 'Aktivere'
      ,fi: 'Aktivoi'
      ,nb: 'Aktiver'
      }
    ,'Show Raw BG Data' : {
      cs: 'Zobraz RAW data'
      ,de: 'Zeige Roh-Blutglukose Daten'
      ,es: 'Mostrat datos en glucemia en crudo'
      ,fr: 'Montrer les données BG brutes'
      ,pt: 'Mostrar dados de glicemia não processados'
      ,sv: 'Visa RAW-data'
      ,ro: 'Afișează date primare glicemie'
      ,bg: 'Показвай RAW данни'
      ,hr: 'Prikazuj sirove podatke o GUK-u'
      ,it: 'Mostra dati Raw BG'
      ,dk: 'Vis rå data'
      ,fi: 'Näytä raaka VS tieto'
      ,nb: 'Vis rådata'
      }
    ,'Never' : {
      cs: 'Nikdy'
      ,de: 'Nie'
      ,es: 'Nunca'
      ,fr: 'Jamais'
      ,pt: 'Nunca'
      ,sv: 'Aldrig'
      ,ro: 'Niciodată'
      ,bg: 'Никога'
      ,hr: 'Nikad'
      ,it: 'Mai'
      ,dk: 'Aldrig'
      ,fi: 'Ei koskaan'
      ,nb: 'Aldri'
      }
    ,'Always' : {
      cs: 'Vždy'
      ,de: 'Immer'
      ,es: 'Siempre'
      ,fr: 'Toujours'
      ,pt: 'Sempre'
      ,sv: 'Alltid'
      ,ro: 'Întotdeauna'
      ,bg: 'Винаги'
      ,hr: 'Uvijek'
      ,it: 'Sempre'
      ,dk: 'Altid'
      ,fi: 'Aina'
      ,nb: 'Alltid'
      }
    ,'When there is noise' : {
      cs: 'Při šumu'
      ,de: 'Sofern Störgeräusch vorhanden'
      ,es: 'Cuando hay ruido'
      ,fr: 'Quand il y a du bruit'
      ,pt: 'Quando houver ruído'
      ,sv: 'Endast vid brus'
      ,ro: 'Atunci când este diferență'
      ,bg: 'Когато има шум'
      ,hr: 'Kad postoji šum'
      ,it: 'Quando vi è rumore'
      ,dk: 'Når der er støj'
      ,fi: 'Signaalihäiriöiden yhteydessä'
      ,nb: 'Når det er støy'
      }
    ,'When enabled small white dots will be displayed for raw BG data' : {
      cs: 'Když je povoleno, malé tečky budou zobrazeny pro RAW data'
      ,de: 'Bei Aktivierung erscheinen kleine weiße Punkte für Roh-Blutglukose Daten'
      ,es: 'Cuando esté activo, pequeños puntos blancos mostrarán los datos en crudo'
      ,fr: 'Si activé, des points blancs représenteront les données brutes'
      ,pt: 'Se ativado, pontos brancos representarão os dados de glicemia não processados'
      ,sv: 'När aktiverad visar de vita punkterna RAW-blodglukosevärden'
      ,ro: 'La activare vor apărea puncte albe reprezentând citirea brută a glicemiei'
      ,bg: 'Когато е активно, малки бели точки ще показват RAW данните'
      ,hr: 'Kad je omogućeno, male bijele točkice će prikazivati sirove podatke o GUK-u.'
      ,it: 'Quando lo abiliti, visualizzerai piccoli puntini bianchi (raw BG data)'
      ,dk: 'Ved aktivering vil små hvide prikker blive vist for rå BG tal'
      ,fi: 'Aktivoituna raaka VS tieto piirtyy aikajanalle valkoisina pisteinä'
      ,nb: 'Ved aktivering vil små hvite prikker bli vist for rå BG tall'
      }
    ,'Custom Title' : {
      cs: 'Vlastní název stránky'
      ,de: 'Benutzerdefiniert'
      ,es: 'Título personalizado'
      ,fr: 'Titre sur mesure'
      ,pt: 'Customizar Título'
      ,sv: 'Egen titel'
      ,ro: 'Titlu particularizat'
      ,bg: 'Име на страницата'
      ,hr: 'Vlastiti naziv'
      ,it: 'Titolo personalizzato'
      ,dk: 'Egen titel'
      ,fi: 'Omavalintainen otsikko'
      ,nb: 'Egen tittel'
      }
    ,'Theme' : {
      cs: 'Téma'
      ,de: 'Thema'
      ,es: 'Tema'
      ,fr: 'Thème'
      ,pt: 'tema'
      ,ro: 'Temă'
      ,bg: 'Тема'
      ,hr: 'Tema'
      ,sv: 'Tema'
      ,it: 'Tema'
      ,dk: 'Tema'
      ,fi: 'Teema'
      ,nb: 'Tema'
      }
    ,'Default' : {
      cs: 'Výchozí'
      ,de: 'Voreingestellt'
      ,es: 'Por defecto'
      ,fr: 'Par défaut'
      ,pt: 'Padrão'
      ,sv: 'Standard'
      ,ro: 'Implicită'
      ,bg: 'Черно-бяла'
      ,hr: 'Default'
      ,it: 'Predefinito'
      ,dk: 'Standard'
      ,fi: 'Oletus'
      ,nb: 'Standard'
      }
    ,'Colors' : {
      cs: 'Barevné'
      ,de: 'Farben'
      ,es: 'Colores'
      ,fr: 'Couleurs'
      ,pt: 'Colorido'
      ,sv: 'Färg'
      ,ro: 'Colorată'
      ,bg: 'Цветна'
      ,hr: 'Boje'
      ,it: 'Colori'
      ,dk: 'Farver'
      ,fi: 'Värit'
      ,nb: 'Farger'
      }
    ,'Reset, and use defaults' : {
      cs: 'Vymaž a nastav výchozí hodnoty'
      ,de: 'Zurücksetzen und Voreinstellungen verwenden'
      ,es: 'Inicializar y utilizar los valores por defecto'
      ,fr: 'Remise à zéro et utiliser des valeurs par défaut'
      ,pt: 'Zerar e usar padrões'
      ,sv: 'Återställ standardvärden'
      ,ro: 'Resetează și folosește setările implicite'
      ,bg: 'Нулирай и използвай стандартните настройки'
      ,hr: 'Resetiraj i koristi defaultne vrijednosti'
      ,it: 'Resetta le impostazioni predefinite'
      ,dk: 'Returner til standardopsætning'
      ,fi: 'Palauta oletusasetukset'
      ,nb: 'Gjenopprett standardinnstillinger'
      }
    ,'Calibrations' : {
      cs: 'Kalibrace'
      ,de: 'Kalibrierung'
      ,es: 'Calibraciones'
      ,fr: 'Calibration'
      ,pt: 'Calibraçôes'
      ,sv: 'Kalibreringar'
      ,ro: 'Calibrări'
      ,bg: 'Калибрации'
      ,hr: 'Kalibriranje'
      ,it: 'Calibrazioni'
      ,dk: 'Kalibrering'
      ,fi: 'Kalibraatiot'
      ,nb: 'Kalibreringer'
      }
    ,'Alarm Test / Smartphone Enable' : {
      cs: 'Test alarmu'
      ,de: 'Alarm Test / Smartphone aktivieren'
      ,es: 'Test de Alarma / Activar teléfono'
      ,fr: 'Test alarme / Activer Smartphone'
      ,pt: 'Testar Alarme / Ativar Smartphone'
      ,sv: 'Testa alarm / Aktivera Smatphone'
      ,ro: 'Teste alarme / Activează pe smartphone'
      ,bg: 'Тестване на алармата / Активно за мобилни телефони'
      ,hr: 'Alarm test / Aktiviraj smartphone'
      ,it: 'Test Allarme / Abilita Smartphone'
      ,dk: 'Alarm test / Smartphone aktiveret'
      ,fi: 'Hälytyksien testaus / Älypuhelimien äänet päälle'
      ,nb: 'Alarmtest / Smartphone aktivering'
      }
    ,'Bolus Wizard' : {
      cs: 'Bolusový kalkulátor'
      ,de: 'Bolus Kalkulator'
      ,es: 'Bolus Wizard'
      ,fr: 'Calculateur de bolus'
      ,pt: 'Calculadora de bolus'
      ,sv: 'Boluskalkylator'
      ,ro: 'Calculator sugestie bolus'
      ,bg: 'Болус съветник '
      ,hr: 'Bolus wizard'
      ,it: 'Calcolatore di Bolo'
      ,dk: 'Bolusberegner'
      ,fi: 'Annosopas'
      ,nb: 'Boluskalkulator'
      }
    ,'in the future' : {
      cs: 'v budoucnosti'
      ,de: 'in der Zuknft'
      ,es: 'en el futuro'
      ,fr: 'dans le futur'
      ,pt: 'no futuro'
      ,sv: 'framtida'
      ,ro: 'în viitor'
      ,bg: 'в бъдещето'
      ,hr: 'U budućnosti'
      ,it: 'nel futuro'
      ,dk: 'fremtiden'
      ,fi: 'tulevaisuudessa'
      ,nb: 'fremtiden'
      }
    ,'time ago' : {
      cs: 'min zpět'
      ,de: 'Aktualisiert'
      ,es: 'tiempo atrás'
      ,fr: 'temps avant'
      ,pt: 'tempo atrás'
      ,sv: 'förfluten tid'
      ,ro: 'în trecut'
      ,bg: 'преди време'
      ,hr: 'prije'
      ,it: 'tempo fa'
      ,dk: 'tid siden'
      ,fi: 'aikaa sitten'
      ,nb: 'tid siden'
      }
    ,'hr ago' : {
      cs: 'hod zpět'
      ,de: 'Std. vorher'
      ,es: 'hr atrás'
      ,fr: 'hr avant'
      ,pt: 'h atrás'
      ,sv: 'timmar sedan'
      ,ro: 'oră în trecut'
      ,bg: 'час по-рано'
      ,hr: 'sat unazad'
      ,it: 'ora fa'
      ,dk: 'Time siden'
      ,fi: 'tunti sitten'
      ,nb: 'Time siden'
      }
    ,'hrs ago' : {
      cs: 'hod zpět'
      ,de: 'Std. vorher'
      ,es: 'hr atrás'
      ,fr: 'hrs avant'
      ,pt: 'h atrás'
      ,sv: 'Timmar sedan'
      ,ro: 'h în trecut'
      ,bg: 'часа по-рано'
      ,hr: 'sati unazad'
      ,it: 'ore fa'
      ,dk: 'Timer siden'
      ,fi: 'tuntia sitten'
      ,nb: 'Timer siden'
      }
    ,'min ago' : {
      cs: 'min zpět'
      ,de: 'Min. vorher'
      ,es: 'min atrás'
      ,fr: 'min avant'
      ,pt: 'min atrás'
      ,sv: 'minut sedan'
      ,ro: 'minut în trecut'
      ,bg: 'мин. по-рано'
      ,hr: 'minuta unazad'
      ,it: 'minuto fa'
      ,dk: 'minutter siden'
      ,fi: 'minuuttia sitten'
      ,nb: 'minutter siden'
      }
    ,'mins ago' : {
      cs: 'min zpět'
      ,de: 'Min. vorher'
      ,es: 'min atrás'
      ,fr: 'mins avant'
      ,pt: 'min atrás'
      ,sv: 'minuter sedan'
      ,ro: 'minute în trecut'
      ,bg: 'мин. по-рано'
      ,hr: 'minuta unazad'
      ,it: 'minuti fa'
      ,dk: 'minutter siden'
      ,fi: 'minuuttia sitten'
      ,nb: 'minutter siden'
      }
    ,'day ago' : {
      cs: 'den zpět'
      ,de: 'Tag vorher'
      ,es: 'día atrás'
      ,fr: 'jour avant'
      ,pt: 'dia atrás'
      ,sv: 'dag sedan'
      ,ro: 'zi în trecut'
      ,bg: 'ден по-рано'
      ,hr: 'dan unazad'
      ,it: 'Giorno fa'
      ,dk: 'dag siden'
      ,fi: 'päivä sitten'
      ,nb: 'dag siden'
      }
    ,'days ago' : {
      cs: 'dnů zpět'
      ,de: 'Tage vorher'
      ,es: 'días atrás'
      ,fr: 'jours avant'
      ,pt: 'dias atrás'
      ,sv: 'dagar sedan'
      ,ro: 'zile în trecut'
      ,bg: 'дни по-рано'
      ,hr: 'dana unazad'
      ,it: 'giorni fa'
      ,dk: 'dage siden'
      ,fi: 'päivää sitten'
      ,nb: 'dager siden'
      }
    ,'long ago' : {
      cs: 'dlouho zpět'
      ,de: 'Lange her'
      ,es: 'Hace mucho tiempo'
      ,fr: 'il y a longtemps'
      ,pt: 'muito tempo atrás'
      ,sv: 'länge sedan'
      ,ro: 'timp în trecut'
      ,bg: 'преди много време'
      ,hr: 'prije dosta vremena'
      ,it: 'Molto tempo fa'
      ,dk: 'længe siden'
      ,fi: 'Pitkän aikaa sitten'
      ,nb: 'lenge siden'
      }
    ,'Clean' : {
      cs: 'Čistý'
      ,de: 'Komplett'
      ,es: 'Limpio'
      ,fr: 'Propre'
      ,pt: 'Limpo'
      ,sv: 'Rent'
      ,ro: 'Curat'
      ,bg: 'Чист'
      ,hr: 'Čisto'
      ,it: 'Pulito'
      ,dk: 'Rent'
      ,fi: 'Puhdas'
      ,nb: 'Rent'
      }
    ,'Light' : {
      cs: 'Lehký'
      ,de: 'Leicht'
      ,es: 'Ligero'
      ,fr: 'Léger'
      ,pt: 'Leve'
      ,sv: 'Lätt'
      ,ro: 'Ușor'
      ,bg: 'Лек'
      ,hr: 'Lagano'
      ,it: 'Leggero'
      ,dk: 'Let'
      ,fi: 'Kevyt'
      ,nb: 'Lite'
      }
    ,'Medium' : {
      cs: 'Střední'
      ,de: 'Mittel'
      ,es: 'Medio'
      ,fr: 'Moyen'
      ,pt: 'Médio'
      ,sv: 'Måttligt'
      ,ro: 'Mediu'
      ,bg: 'Среден'
      ,hr: 'Srednje'
      ,it: 'Medio'
      ,dk: 'Middel'
      ,fi: 'Keskiverto'
      ,nb: 'Middels'
      }
    ,'Heavy' : {
      cs: 'Velký'
      ,de: 'Schwer'
      ,es: 'Fuerte'
      ,fr: 'Important'
      ,pt: 'Pesado'
      ,sv: 'Rikligt'
      ,ro: 'Puternic'
      ,bg: 'Силен'
      ,hr: 'Teško'
      ,it: 'Pesante'
      ,dk: 'Voldsom'
      ,fi: 'Raskas'
      ,nb: 'Mye'
      }
    ,'Treatment type' : {
      cs: 'Typ ošetření'
      ,de: 'Eingabe Typ'
      ,es: 'Tipo de tratamiento'
      ,fr: 'Type de traitement'
      ,pt: 'Tipo de procedimento'
      ,sv: 'Behandlingstyp'
      ,ro: 'Tip tratament'
      ,bg: 'Вид събитие'
      ,hr: 'Vrsta tretmana'
      ,it: 'Somministrazione'
      ,dk: 'Behandlingstype'
      ,fi: 'Hoidon tyyppi'
      ,nb: 'Behandlingstype'
      }
    ,'Raw BG' : {
      cs: 'Glykémie z RAW dat'
      ,de: 'Roh Blutglukose'
      ,es: 'Glucemia en crudo'
      ,fr: 'Glycémie brut'
      ,pt: 'Glicemia sem processamento'
      ,sv: 'RAW-BS'
      ,ro: 'Citire brută a glicemiei'
      ,bg: 'Непреработена КЗ'
      ,hr: 'Sirovi podaci o GUK-u'
      ,it: 'Raw BG'
      ,dk: 'Råt BS'
      ,fi: 'Raaka VS'
      ,nb: 'RAW-BS'
      }
    ,'Device' : {
      cs: 'Zařízení'
      ,de: 'Gerät'
      ,es: 'Dispositivo'
      ,fr: 'Appareil'
      ,pt: 'Dispositivo'
      ,ro: 'Dispozitiv'
      ,bg: 'Устройство'
      ,hr: 'Uređaj'
      ,sv: 'Enhet'
      ,it: 'Dispositivo'
      ,dk: 'Enhed'
      ,fi: 'Laite'
      ,nb: 'Enhet'
      }
    ,'Noise' : {
      cs: 'Šum'
      ,de: 'Störgeräusch'
      ,es: 'Ruido'
      ,fr: 'Bruit'
      ,pt: 'Ruído'
      ,sv: 'Brus'
      ,ro: 'Zgomot'
      ,bg: 'Шум'
      ,hr: 'Šum'
      ,it: 'Rumore'
      ,dk: 'Støj'
      ,fi: 'Kohina'
      ,nb: 'Støy'
      }
    ,'Calibration' : {
      cs: 'Kalibrace'
      ,de: 'Kalibrierung'
      ,es: 'Calibración'
      ,fr: 'Calibration'
      ,pt: 'Calibração'
      ,sv: 'Kalibrering'
      ,ro: 'Calibrare'
      ,bg: 'Калибрация'
      ,hr: 'Kalibriranje'
      ,it: 'Calibratura'
      ,dk: 'Kalibrering'
      ,fi: 'Kalibraatio'
      ,nb: 'Kalibrering'
      }
    ,'Show Plugins' : {
      cs: 'Zobrazuj pluginy'
      ,de: 'Zeige Plugins'
      ,es: 'Mostrar Plugins'
      ,fr: 'Montrer Plugins'
      ,pt: 'Mostrar Plugins'
      ,ro: 'Arată plugin-urile'
      ,bg: 'Покажи добавките'
      ,hr: 'Prikaži plugine'
      ,sv: 'Visa tillägg'
      ,it: 'Mostra Plugin'
      ,dk: 'Vis plugins'
      ,fi: 'Näytä pluginit'
      ,nb: 'Vis plugins'
      }
    ,'About' : {
      cs: 'O aplikaci'
      ,de: 'Über'
      ,es: 'Sobre'
      ,fr: 'À propos de'
      ,pt: 'Sobre'
      ,ro: 'Despre'
      ,bg: 'Относно'
      ,hr: 'O aplikaciji'
      ,sv: 'Om'
      ,it: 'Informazioni'
      ,dk: 'Om'
      ,fi: 'Nightscoutista'
      ,nb: 'Om'
      }
    ,'Value in' : {
      cs: 'Hodnota v'
      ,de: 'Wert in'
      ,es: 'Valor en'
      ,fr: 'Valeur en'
      ,pt: 'Valor em'
      ,ro: 'Valoare în'
      ,bg: 'Стойност в'
      ,hr: 'Vrijednost u'
      ,sv: 'Värde om'
      ,it: 'Valore in'
      ,dk: 'Værdi i'
      ,fi: 'Arvo yksiköissä'
      ,nb: 'Verdi i'
      }
    ,'Carb Time' : {
      cs: 'Čas jídla'
      ,de: 'Kohlenhydrate Zeit'
      ,es: 'Momento de la ingesta'
      ,fr: 'Moment de Glucide'
      ,pt: 'Hora do carboidrato'
      ,ro: 'Ora carbohidrați'
      ,bg: 'Ядене след'
      ,hr: 'Vrijeme unosa UH'
      ,sv: 'Kolhydratstid'
      ,it: 'Tempo'
      ,dk: 'Kulhydratstid'
      ,fi: 'Syöntiaika'
      ,nb: 'Karbohydrattid'
      ,he: 'זמן פחמימה'
      }
    ,'Language' : {
      cs: 'Jazyk'
      ,sv: 'Språk'
      ,nb: 'Språk'
      ,fi: 'Kieli'
      ,pt: 'Língua'
      ,ro: 'Limba'
      ,bg: 'Език'
      ,it: 'Lingua'
      }
    ,'Update' : { // Update button
      cs: 'Aktualizovat'
      ,sv: 'Uppdatera'
      ,nb: 'Oppdater'
      ,pt: 'Atualizar'
      ,ro: 'Actualizare'
      ,bg: 'Актуализирай'
      ,it: 'Aggiornamento'
      }
    ,'Order' : {
      cs: 'Pořadí'
      ,sv: 'Sortering'
      ,nb: 'Sortering'
      ,ro: 'Sortare'
      ,bg: 'Ред'
      ,it: 'Ordina'
      }
    ,'oldest on top' : {
      cs: 'nejstarší nahoře'
      ,sv: 'Äldst först'
      ,nb: 'Eldste først'
      ,ro: 'mai vechi primele'
      ,bg: 'Старите най-отгоре'
      ,it: 'più vecchio in alto'
      }
    ,'newest on top' : {
      cs: 'nejnovější nahoře'
      ,sv: 'Nyast först'
      ,nb: 'Nyeste først'
      ,ro: 'mai noi primele'
      ,bg: 'Новите най-отгоре'
      ,it: 'più recente in alto'
      }
    ,'All sensor events' : {
      cs: 'Všechny události sensoru'
      ,nb: 'Alle sensorhendelser'
      ,ro: 'Evenimente legate de senzor'
      ,bg: 'Всички събития от сензора'
      ,it: 'Tutti gli eventi del sensore'
      }
    ,'Remove future items from mongo database' : {
      cs: 'Odebrání položek v budoucnosti z Mongo databáze'
      ,nb: 'Fjern fremtidige elementer fra mongo database'
      ,ro: 'Șterge date din viitor din baza de date mongo'
      ,bg: 'Премахни бъдещите точки от Монго базата с данни'
      ,it: 'Rimuovere gli oggetti dal database di mongo (prossimamente)'
      }
    ,'Find and remove treatments in the future' : {
      cs: 'Najít a odstranit záznamy ošetření v budoucnosti'
      ,nb: 'Finn og fjern fremtidige behandlinger'
      ,ro: 'Caută și elimină tratamente din viiotr'
      ,bg: 'Намери и премахни събития в бъдещето'
      ,it: 'Individuare e rimuovere le somministrazioni (prossimamente)'
      }
    ,'This task find and remove treatments in the future.' : {
      cs: 'Tento úkol najde a odstraní ošetření v budoucnosti.'
      ,nb: 'Finn og fjern fremtidige behandlinger'
      ,ro: 'Acest instrument curăță tratamentele din viitor.'
      ,bg: 'Тази опция намира и премахва събития в бъдещето.'
      ,it: 'Trovare e rimuovere le somministrazioni (prossimamente)'
      }
    ,'Remove treatments in the future' : {
      cs: 'Odstraň ošetření v budoucnosti'
      ,nb: 'Fjern fremtidige behandlinger'
      ,ro: 'Șterge tratamentele din viitor'
      ,bg: 'Премахни събитията в бъдешето'
      ,it: 'Rimuovere somministrazioni (prossimamente)'
      }
    ,'Find and remove entries in the future' : {
      cs: 'Najít a odstranit CGM data v budoucnosti'
      ,nb: 'Finn og fjern fremtidige hendelser'
      ,bg: 'Намери и премахни данни от сензора в бъдещето'
      ,ro: 'Caută și elimină valorile din viitor'
      ,it: 'Trovare e rimuovere le voci (prossimamente)'
      }
    ,'This task find and remove CGM data in the future created by uploader with wrong date/time.' : {
      cs: 'Tento úkol najde a odstraní CGM data v budoucnosti vzniklé špatně nastaveným datem v uploaderu.'
      ,nb: 'Finn og fjern fremtidige cgm data lastet opp med feil dato/tid'
      ,bg: 'Тази опция ще намери и премахне данни от сензора в бъдещето, създадени поради грешна дата/време.'
      ,ro: 'Instrument de căutare și eliminare a datelor din viitor, create de uploader cu ora setată greșit'
      ,it: 'Trovare e rimuovere i dati CGM creato da uploader/xdrip con data / ora sbagliato (prossimamente)'
      }
    ,'Remove entries in the future' : {
      cs: 'Odstraň CGM data v budoucnosti'
      ,nb: 'Fjern fremtidige hendelser'
      ,bg: 'Премахни данните от сензора в бъдещето'
      ,ro: 'Elimină înregistrările din viitor'
      ,it: 'Rimuovere le voci (prossimamente)'
      }
    ,'Loading database ...' : {
      cs: 'Nahrávám databázi ...'
      ,nb: 'Leser database ...'
      ,bg: 'Зареждане на базата с данни ...'
      ,ro: 'Încarc baza de date'
      ,it: 'Caricamento Database ...'
      }
    ,'Database contains %1 future records' : {
      cs: 'Databáze obsahuje %1 záznamů v budoucnosti'
      ,nb: 'Databasen inneholder %1 fremtidige hendelser'
      ,ro: 'Baza de date conține %1 înregistrări din viitor'
      ,bg: 'Базата с дани съдържа %1 бъдещи записи'
      ,it: 'Contiene Database %1 record (prossimamente)'
      }
    ,'Remove %1 selected records?' : {
      cs: 'Odstranit %1 vybraných záznamů'
      ,nb: 'Fjern %1 valgte elementer?'
      ,ro: 'Șterg %1 înregistrări selectate?'
      ,bg: 'Премахване на %1 от избраните записи?'
      ,it: 'Rimuovere %1 record selezionati?'
      }
    ,'Error loading database' : {
      cs: 'Chyba při nahrávání databáze'
      ,nb: 'Feil udner lasting av database'
      ,ro: 'Eroare la încărcarea bazei de date'
      ,bg: 'Грешка при зареждане на базата с данни'
      ,it: 'Errore di caricamento del database'
      }
    ,'Record %1 removed ...' : {
      cs: 'Záznam %1 odstraněn ...'
      ,nb: 'Element %1 fjernet'
      ,ro: 'Înregistrarea %1 a fost ștearsă...'
      ,bg: '%1 записи премахнати'
      ,it: 'Record %1 rimosso ...'
      }
    ,'Error removing record %1' : {
      cs: 'Chyba při odstaňování záznamu %1'
      ,nb: 'Feil under fjerning av element %1'
      ,ro: 'Eroare la ștergerea înregistrării %1'
      ,bg: 'Грешка при премахването на %1 от записите'
      ,it: 'Errore rimozione record %1'
      }
    ,'Deleting records ...' : {
      cs: 'Odstraňování záznamů ...'
      ,nb: 'Fjerner elementer...'
      ,ro: 'Se șterg înregistrările...'
      ,bg: 'Изтриване на записите...'
      ,it: 'Eliminazione dei record ...'
      }
    ,'Clean Mongo status database' : {
      cs: 'Vyčištění Mongo databáze statusů'
      ,nb: 'Slett Mongo status database'
      ,ro: 'Curăță tabela despre status din Mongo'
      ,bg: 'Изчисти статуса на Монго базата с данни'
      ,it: 'Pulire database di Mongo'
      }
    ,'Delete all documents from devicestatus collection' : {
      cs: 'Odstranění všech záznamů z kolekce devicestatus'
      ,nb: 'Fjern alle dokumenter fra device status tabell'
      ,ro: 'Șterge toate documentele din colecția de status dispozitiv'
      ,bg: 'Изтрий всички документи от папката статус-устройство'
      ,it: 'Eliminare tutti i documenti dalla collezione "devicestatus"'
      }
    ,'This task removes all documents from devicestatus collection. Useful when uploader battery status is not properly updated.' : {
      cs: 'Tento úkol odstraní všechny dokumenty z kolekce devicestatus. Je to vhodné udělat, pokud se ukazatel stavu baterie neobnovuje správně.'
      ,nb: 'Denne funksjonen fjerner alle dokumenter fra device status tabellen.  Nyttig når status for opplaster batteri ikke blir opppdatert'
      ,ro: 'Acest instrument șterge toate documentele din colecția devicestatus. Se folosește când încărcarea bateriei nu se afișează corect.'
      ,bg: 'Тази опция премахва всички документи от папката статус-устройство. Полезно е, когато статусът на батерията не се обновява.'
      ,it: 'Questa attività elimina tutti i documenti dalla collezione "devicestatus". Utile quando lo stato della batteria uploader/xdrip non si aggiorna.'
      }
    ,'Delete all documents' : {
      cs: 'Odstranit všechny dokumenty'
      ,nb: 'Fjern alle dokumenter'
      ,ro: 'Șterge toate documentele'
      ,bg: 'Изтрий всички документи'
      ,it: 'Eliminare tutti i documenti'
      }
    ,'Delete all documents from devicestatus collection?' : {
      cs: 'Odstranit všechny dokumenty z kolekce devicestatus?'
      ,nb: 'Fjern alle dokumenter fra device status tabellen?'
      ,ro: 'Șterg toate documentele din colecția devicestatus?'
      ,bg: 'Изтриване на всички документи от папката статус-устройство?'
      ,it: 'Eliminare tutti i documenti dalla collezione devicestatus?'
      }
    ,'Database contains %1 records' : {
      cs: 'Databáze obsahuje %1 záznamů'
      ,nb: 'Databasen inneholder %1 elementer'
      ,ro: 'Baza de date conține %1 înregistrări'
      ,bg: 'Базата с данни съдържа %1 записи'
      ,it: 'Contiene Database record%1'
      }
    ,'All records removed ...' : {
      cs: 'Všechny záznamy odstraněny ...'
      ,nb: 'Alle elementer fjernet ...'
      ,ro: 'Toate înregistrările au fost șterse.'
      ,bg: 'Всички записи премахнати ...'
      ,it: 'Tutti i record rimossi ...'
      }
    ,'Admin Tools' : {
      cs: 'Nástroje pro správu'
      ,nb: 'Administrasjonsoppgaver'
      ,ro: 'Instrumente de administrare'
      ,bg: 'Настройки на администратора'
      ,it: 'NS - Dati Mongo' 
      }
    ,'Nightscout reporting' : {
      cs: 'Nightscout - Výkazy'
      ,nb: 'Nightscout - rapporter'
      ,ro: 'Rapoarte Nightscout'
      ,bg: 'Найтскаут статистика'
      ,it: 'Nightscout - Statistiche'
      }
    ,'Cancel' : {
      cs: 'Zrušit'
      ,nb: 'Avbryt'
      ,ro: 'Renunță'
      ,bg: 'Откажи'
      ,it: 'Cancellare'
      }
    ,'Edit treatment' : {
      cs: 'Upravit ošetření'
      ,nb: 'Editer behandling'
      ,ro: 'Modifică înregistrarea'
      ,bg: 'Редакция на събитие'
      ,it: 'Modifica Somministrazione'
      }
    ,'Duration' : {
      cs: 'Doba trvání'
      ,ro: 'Durata'
      ,bg: 'Времетраене'
      ,it: 'Tempo'
      }
    ,'Duration in minutes' : {
      cs: 'Doba trvání v minutách'
      ,ro: 'Durata în minute'
      ,bg: 'Времетраене в мин.'
      ,it: 'Tempo in minuti'
      }
    ,'Temp Basal' : {
      cs: 'Dočasný bazál'
      ,ro: 'Bazală temporară'
      ,bg: 'Временен базал'
      ,it: 'Basale Temp'
      }
    ,'Temp Basal Start' : {
      cs: 'Dočasný bazál začátek'
      ,ro: 'Start bazală temporară'
      ,bg: 'Начало на временен базал'
      ,it: 'Inizio Basale Temp'
      }
    ,'Temp Basal End' : {
      cs: 'Dočasný bazál konec'
      ,ro: 'Sfârșit bazală temporară'
      ,bg: 'Край на временен базал'
      ,it: 'Fine Basale Temp'
      }
    ,'Percent' : { // value in % for temp basal
      cs: 'Procenta'
      ,ro: 'Procent'
      ,bg: 'Процент'
      ,it: 'Percentuale'
      }
    ,'Basal change in %' : {
      cs: 'Změna bazálu v %'
      ,ro: 'Bazală schimbată în %'
      ,bg: 'Промяна на базала с %'
      ,it: 'Variazione basale in %'
      }
    ,'Basal value' : { // absolute value for temp basal
      cs: 'Hodnota bazálu'
      ,ro: 'Valoare bazală'
      ,bg: 'Временен базал'
      ,it: 'Valore Basale temp'
      }
    ,'Absolute basal value' : {
      cs: 'Hodnota bazálu'
      ,bg: 'Базална стойност'
      ,it: 'Valore Basale'
      }
    ,'Announcement' : {
      cs: 'Oznámení'
      ,bg: 'Известяване'
      ,fi: 'Tiedoitus'
      ,pt: 'Aviso'
      ,ro: 'Anunț'
      ,he: 'הודעה'
      ,it: 'Annuncio'
      }
    ,'Loading temp basal data' : {		
      cs: 'Nahrávám dočasné bazály'
      ,it: 'Caricamento basale temporanea'
      ,ro: 'Se încarcă date bazală temporară'
      }
 
  };

  language.translate = function translate(text, options) {
    var translated = text;
    if (translations[text] && translations[text][lang]) {
      translated = translations[text][lang];
    }
    if (options && options.params) {
      for (var i = 0; i < options.params.length; i++) {
        var r = new RegExp('\%' + (i+1), 'g');
        translated = translated.replace(r, options.params[i]);
      }
    }
    return translated;
  };

  language.DOMtranslate = function DOMtranslate($) {
    // do translation of static text on load
    $('.translate').each(function () {
      $(this).text(language.translate($(this).text()));
      });
    $('.titletranslate, .tip').each(function () {
      $(this).attr('title',language.translate($(this).attr('title')));
      $(this).attr('original-title',language.translate($(this).attr('original-title')));
      $(this).attr('placeholder',language.translate($(this).attr('placeholder')));
      });
  };

  language.set = function set(newlang) {
    lang = newlang;
    return language();
  };

  return language();
}

module.exports = init;
